CFPRIME HELPSC                                                          HELPSC      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE HELPSC(COMM,LENCOM)                                    HELPSC      3
CD                                                                      HELPSC      4
CD    TO DISPLAY HELP SCREENS BASED ON KEYWORD PASSED THROUGH ARGUMENT  HELPSC      5
CD    "COMM".                                                           HELPSC      6
CD                                                                      HELPSC      7
      INCLUDE 'CNLSTA.INS'                                              HELPSC      8
      INCLUDE 'CNFLAG.INS'                                              HELPSC      9
      INCLUDE 'CNUNIT.INS'                                              HELPSC     10
      INCLUDE 'CNKEYW.INS'                                              HELPSC     11
      INCLUDE 'CNREC1.INS'                                              HELPSC     12
C                                                                       HELPSC     13
      CHARACTER*(*) COMM                                                HELPSC     14
      CHARACTER*1 QQ,QQ1                                                HELPSC     15
      CHARACTER*80 MSG,EMSG                                             HELPSC     16
      CHARACTER*7 SUBPMT                                                HELPSC     17
      CHARACTER*3 COMMH                                                 HELPSC     18
      LOGICAL LUD6                                                      HELPSC     19
C                                                                       HELPSC     20
      CHARACTER*80 CAS(22),C01(10),C02(14),C03(10),C04(12),C05(18)      HELPSC     21
     1,C06(11),C07(10),C08(13),C09(13),C10(14),C11(5),C12(11),C13(13)   HELPSC     22
     2,C14(11),C15(15),C16(13),C17(13),C18(13),C19(13),C20(12),C21(12)  HELPSC     23
     3,C22(12),C23(15),C24(5),C25(16),C99(8),CDY(20),DYN(13),FIL(15)    HELPSC     24
     4,HEL(15),INI(16),IN1(8),LDY(13),LF1(10),LF2(9),LF3(10),LOA(20)    HELPSC     25
     5,LSW(5),LS1(5),MDY(14),MEN(8),MSW(22),MS1(22),MS2(22),MS3(22)     HELPSC     26
     6,MS4(22),MS5(22),PLA(15),QUI(8),REC(19),REL(8),RRE(19),RR1(8)     HELPSC     27
     7,RR2(11),RR3(8),RR4(5),RR5(13),RR6(15),RR7(17),RR8(17),RR9(9)     HELPSC     28
     8,R10(9),R11(9),R12(11),R13(12),R14(12),SE1(9),SE2(14),SE3(12)     HELPSC     29
     9,SE4(9),SE5(9),SE6(9),SE7(9),SE8(9),SE9(8),SET(14),SIM(12),STO(11)HELPSC     30
     *,SWI(15),SW1(9),SW2(7),SW3(7),SW4(5),TAD(19),TAI(22),TB1(4)       HELPSC     31
     1,TIN(7),TN1(5),VMS(19),WDY(19),XXX(5)                             HELPSC     32
C                                                                       HELPSC     33
      DATA (CAS(I),I=1,17) /                                            HELPSC     34
     1'----------------------- CASE SCREEN --------------------------', HELPSC     35
     2'                                                              ', HELPSC     36
     3'   Command  - CASE                                            ', HELPSC     37
     4'                                                              ', HELPSC     38
     5'   Function - Change the following global parameters in a     ', HELPSC     39
     6'   & Usage    ETMSP session:                                  ', HELPSC     40
     7'                                                              ', HELPSC     41
     8'              1. Title for case description                   ', HELPSC     42
     9'              2. Common system base quantities                ', HELPSC     43
     *'              3. Parameters for algebraic equation solution   ', HELPSC     44
     1'              4. Parameters for differential equation solution', HELPSC     45
     2'              5. Parameters for data & stability sanity checks', HELPSC     46
     3'                                                              ', HELPSC     47
     4'   Note     - 1. Help is available for most of the parameters ', HELPSC     48
     5'                 that can be modified under this command. To  ', HELPSC     49
     6'                 get a particular help, select the item and   ', HELPSC     50
     7'                 type HELP                                    '/ HELPSC     51
C                                                                       HELPSC     52
      DATA (CAS(I),I=18,22) /                                           HELPSC     53
     8'              2. Some parameters can not be modified after    ', HELPSC     54
     9'                 certain command is executed. Refer to the    ', HELPSC     55
     *'                 individual help message for more information ', HELPSC     56
     1'                                                              ', HELPSC     57
     2'--------------------------------------------------------------'/ HELPSC     58
C                                                                       HELPSC     59
      DATA (C01(I),I=1,10) /                                            HELPSC     60
     1'--------------------------------------------------------------', HELPSC     61
     2'                                                              ', HELPSC     62
     3'                   TITLE FOR CASE DESCRIPTION                 ', HELPSC     63
     4'                                                              ', HELPSC     64
     5'   This is a one-line descriptive case title used for visual  ', HELPSC     65
     6'   recognization only. The maximum length of the title is 80  ', HELPSC     66
     7'   characters. This title is not used internally by the       ', HELPSC     67
     8'   program.                                                   ', HELPSC     68
     9'                                                              ', HELPSC     69
     *'--------------------------------------------------------------'/ HELPSC     70
C                                                                       HELPSC     71
      DATA (C02(I),I=1,14) /                                            HELPSC     72
     1'--------------------------------------------------------------', HELPSC     73
     2'                                                              ', HELPSC     74
     3'                     SYSTEM COMMON MVA BASE                   ', HELPSC     75
     4'                                                              ', HELPSC     76
     5'   This parameter defines the system common MVA base, used to ', HELPSC     77
     6'   calculate per unit values of system quantities.            ', HELPSC     78
     7'                                                              ', HELPSC     79
     8'   Note that the system common MVA base must be the same as   ', HELPSC     80
     9'   the MVA base used in the load flow.                        ', HELPSC     81
     *'                                                              ', HELPSC     82
     1'   This parameter can not be changed after the load flow data ', HELPSC     83
     2'   has been read in with command LOADFLOW.                    ', HELPSC     84
     3'                                                              ', HELPSC     85
     4'--------------------------------------------------------------'/ HELPSC     86
C                                                                       HELPSC     87
      DATA (C03(I),I=1,10) /                                            HELPSC     88
     1'--------------------------------------------------------------', HELPSC     89
     2'                                                              ', HELPSC     90
     3'                   SYSTEM COMMON FREQUENCY BASE               ', HELPSC     91
     4'                                                              ', HELPSC     92
     5'   This parameter defines the system common frequency base.   ', HELPSC     93
     6'                                                              ', HELPSC     94
     7'   This parameter can not be changed after the dynamic data   ', HELPSC     95
     8'   has been read in with command DYNDATA.                     ', HELPSC     96
     9'                                                              ', HELPSC     97
     *'--------------------------------------------------------------'/ HELPSC     98
C                                                                       HELPSC     99
      DATA (C04(I),I=1,12) /                                            HELPSC    100
     1'--------------------------------------------------------------', HELPSC    101
     2'                                                              ', HELPSC    102
     3'             MAXIMUM NETTING OF INDIVIDUAL GENERATION         ', HELPSC    103
     4'                                                              ', HELPSC    104
     5'   This parameter defines the maximum individual generation to', HELPSC    105
     6'   be netted out as negative load if it is not represented in ', HELPSC    106
     7'   the dynamic data.                                          ', HELPSC    107
     8'                                                              ', HELPSC    108
     9'   This parameter can not be changed after the dynamic data   ', HELPSC    109
     *'   has been read in with command DYNDATA.                     ', HELPSC    110
     1'                                                              ', HELPSC    111
     2'--------------------------------------------------------------'/ HELPSC    112
C                                                                       HELPSC    113
      DATA (C05(I),I=1,18) /                                            HELPSC    114
     1'--------------------------------------------------------------', HELPSC    115
     2'                                                              ', HELPSC    116
     3'    MAX. NO. OF ITERATIONS FOR PRE-FAULT NETWORK SOLUTION     ', HELPSC    117
     4'                                                              ', HELPSC    118
     5'   This parameter sets the maximum number of iterations for   ', HELPSC    119
     6'   pre-fault network solution.                                ', HELPSC    120
     7'                                                              ', HELPSC    121
     8'   While sometimes it is necessary to increase this limit to  ', HELPSC    122
     9'   obtain the satisfactory system steady state point, a large ', HELPSC    123
     *'   number of iterations in pre-fault network solution usually ', HELPSC    124
     1'   means that the load flow is not solved accurately, and     ', HELPSC    125
     2'   therefore, system drifting at no fault condition may       ', HELPSC    126
     3'   result.                                                    ', HELPSC    127
     4'                                                              ', HELPSC    128
     5'   This parameter can not be changed after the initialization ', HELPSC    129
     6'   has been performed with command INITIAL.                   ', HELPSC    130
     7'                                                              ', HELPSC    131
     8'--------------------------------------------------------------'/ HELPSC    132
C                                                                       HELPSC    133
      DATA (C06(I),I=1,11) /                                            HELPSC    134
     1'--------------------------------------------------------------', HELPSC    135
     2'                                                              ', HELPSC    136
     3'    MAX. NO. OF ITERATIONS FOR NETWORK SOLUTION IN SIMULATION ', HELPSC    137
     4'                                                              ', HELPSC    138
     5'   This parameter sets the maximum number of iterations for   ', HELPSC    139
     6'   network solution in simulation.                            ', HELPSC    140
     7'                                                              ', HELPSC    141
     8'   This parameter can not be changed after the initialization ', HELPSC    142
     9'   has been performed with command INITIAL.                   ', HELPSC    143
     *'                                                              ', HELPSC    144
     1'--------------------------------------------------------------'/ HELPSC    145
C                                                                       HELPSC    146
      DATA (C07(I),I=1,10) /                                            HELPSC    147
     1'--------------------------------------------------------------', HELPSC    148
     2'                                                              ', HELPSC    149
     3'     VOLTAGE CONVERGENCE TOLERANCE FOR NETWORK SOLUTION       ', HELPSC    150
     4'                                                              ', HELPSC    151
     5'   This parameter controls the accuracy of network solution.  ', HELPSC    152
     6'                                                              ', HELPSC    153
     7'   This parameter can not be changed after the initialization ', HELPSC    154
     8'   has been performed with command INITIAL.                   ', HELPSC    155
     9'                                                              ', HELPSC    156
     *'--------------------------------------------------------------'/ HELPSC    157
C                                                                       HELPSC    158
      DATA (C08(I),I=1,13) /                                            HELPSC    159
     1'--------------------------------------------------------------', HELPSC    160
     2'                                                              ', HELPSC    161
     3'     LOWER THRESHOLD VOLTAGE OF NONLINEAR LOAD (VTHZL)        ', HELPSC    162
     4'                                                              ', HELPSC    163
     5'   This parameter defines the lower threshold voltage at which', HELPSC    164
     6'   nonlinear loads will be converted to constant impedance    ', HELPSC    165
     7'   loads. Refer to the user manual for the actual conversion  ', HELPSC    166
     8'   of different types of nonlinear loads.                     ', HELPSC    167
     9'                                                              ', HELPSC    168
     *'   This parameter can not be changed after the output analysis', HELPSC    169
     1'   data has been read in with command RRESDAT.                ', HELPSC    170
     2'                                                              ', HELPSC    171
     3'--------------------------------------------------------------'/ HELPSC    172
C                                                                       HELPSC    173
      DATA (C09(I),I=1,13) /                                            HELPSC    174
     1'--------------------------------------------------------------', HELPSC    175
     2'                                                              ', HELPSC    176
     3'      UPPER THRESHOLD VOLTAGE OF NONLINEAR LOAD (VTHZH)       ', HELPSC    177
     4'                                                              ', HELPSC    178
     5'   This parameter defines the upper threshold voltage at which', HELPSC    179
     6'   nonlinear loads will be restored from constant impedance   ', HELPSC    180
     7'   loads. Refer to the user manual for the actual restoration ', HELPSC    181
     8'   of different types of nonlinear loads.                     ', HELPSC    182
     9'                                                              ', HELPSC    183
     *'   This parameter can not be changed after the output analysis', HELPSC    184
     1'   data has been read in with command RRESDAT.                ', HELPSC    185
     2'                                                              ', HELPSC    186
     3'--------------------------------------------------------------'/ HELPSC    187
C                                                                       HELPSC    188
      DATA (C10(I),I=1,14) /                                            HELPSC    189
     1'--------------------------------------------------------------', HELPSC    190
     2'                                                              ', HELPSC    191
     3'            THRESHOLD VALUE OF ZERO IMPEDANCE LINE            ', HELPSC    192
     4'                                                              ', HELPSC    193
     5'   This parameter defines the threshold value of zero         ', HELPSC    194
     6'   impedance lines. Note that this value should be selected in', HELPSC    195
     7'   consistency with the zero impedance line definition in the ', HELPSC    196
     8'   load flow. If not consistent, load flow mismatches may     ', HELPSC    197
     9'   appear.                                                    ', HELPSC    198
     *'                                                              ', HELPSC    199
     1'   This parameter can not be changed after the output analysis', HELPSC    200
     2'   data has been read in with command RRESDAT.                ', HELPSC    201
     3'                                                              ', HELPSC    202
     4'--------------------------------------------------------------'/ HELPSC    203
C                                                                       HELPSC    204
      DATA (C11(I),I=1,5) /                                             HELPSC    205
     1'--------------------------------------------------------------', HELPSC    206
     2'                                                              ', HELPSC    207
     3'         NO. OF TIME STEPS FOR CHECKING ULTC OPERATION        ', HELPSC    208
     4'                                                              ', HELPSC    209
     5'--------------------------------------------------------------'/ HELPSC    210
C                                                                       HELPSC    211
      DATA (C12(I),I=1,11) /                                            HELPSC    212
     1'--------------------------------------------------------------', HELPSC    213
     2'                                                              ', HELPSC    214
     3'           MAX. NUMBER OF ITERATIONS PER TIME STEP            ', HELPSC    215
     4'                                                              ', HELPSC    216
     5'   This parameter sets the maximum number of iterations in one', HELPSC    217
     6'   time step simulation by the trapezoidal method.            ', HELPSC    218
     7'                                                              ', HELPSC    219
     8'   This parameter can be changed any time before simulation is', HELPSC    220
     9'   started.                                                   ', HELPSC    221
     *'                                                              ', HELPSC    222
     1'--------------------------------------------------------------'/ HELPSC    223
C                                                                       HELPSC    224
      DATA (C13(I),I=1,13) /                                            HELPSC    225
     1'--------------------------------------------------------------', HELPSC    226
     2'                                                              ', HELPSC    227
     3'         JACOBIAN UPDATING INTERVAL WITHIN A TIME STEP        ', HELPSC    228
     4'                                                              ', HELPSC    229
     5'   This parameter controls the update of Jacobian matrices of ', HELPSC    230
     6'   dynamic devices in the trapezoidal method. The Jacobians   ', HELPSC    231
     7'   are updated if the number of iterations in the simulation  ', HELPSC    232
     8'   a time step is equal to or greater than this number.       ', HELPSC    233
     9'                                                              ', HELPSC    234
     *'   This parameter can be changed any time before simulation is', HELPSC    235
     1'   started.                                                   ', HELPSC    236
     2'                                                              ', HELPSC    237
     3'--------------------------------------------------------------'/ HELPSC    238
C                                                                       HELPSC    239
      DATA (C14(I),I=1,11) /                                            HELPSC    240
     1'--------------------------------------------------------------', HELPSC    241
     2'                                                              ', HELPSC    242
     3'     CONVERGENCE TOLERANCE FOR CURRENT INJECTION MISMATCHES   ', HELPSC    243
     4'                                                              ', HELPSC    244
     5'   This parameter is used to check the convergence of the     ', HELPSC    245
     6'   iterations in the trapezoidal method.                      ', HELPSC    246
     7'                                                              ', HELPSC    247
     8'   This parameter can be changed any time before simulation is', HELPSC    248
     9'   started.                                                   ', HELPSC    249
     *'                                                              ', HELPSC    250
     1'--------------------------------------------------------------'/ HELPSC    251
C                                                                       HELPSC    252
      DATA (C15(I),I=1,15) /                                            HELPSC    253
     1'--------------------------------------------------------------', HELPSC    254
     2'                                                              ', HELPSC    255
     3'       THRESHOLD TO DETECT AC-DC INTERFACE DISCONTINUITY      ', HELPSC    256
     4'                                                              ', HELPSC    257
     5'   This parameter defines the threshold value to detect AC-DC ', HELPSC    258
     6'   interface discontinuity in the trapezoidal method. If the  ', HELPSC    259
     7'   power change at any AC-DC interface after the DC solution  ', HELPSC    260
     8'   within one time step is greater than this value, the change', HELPSC    261
     9'   will be treated as a disturbance; thus better computation  ', HELPSC    262
     *'   performance should be expected.                            ', HELPSC    263
     1'                                                              ', HELPSC    264
     2'   This parameter can be changed any time before simulation is', HELPSC    265
     3'   started.                                                   ', HELPSC    266
     4'                                                              ', HELPSC    267
     5'--------------------------------------------------------------'/ HELPSC    268
C                                                                       HELPSC    269
      DATA (C16(I),I=1,13) /                                            HELPSC    270
     1'--------------------------------------------------------------', HELPSC    271
     2'                                                              ', HELPSC    272
     3'                    MINIMUM SUBSTEP LENGTH                    ', HELPSC    273
     4'                                                              ', HELPSC    274
     5'   This parameter sets the minimum substep length used in sub-', HELPSC    275
     6'   division simulation mode for excitation systems. It can be ', HELPSC    276
     7'   set at a large positive value to disable the subdivision   ', HELPSC    277
     8'   computation mode.                                          ', HELPSC    278
     9'                                                              ', HELPSC    279
     *'   This parameter can not be changed after the dynamic data   ', HELPSC    280
     1'   has been read in with command DYNDATA.                     ', HELPSC    281
     2'                                                              ', HELPSC    282
     3'--------------------------------------------------------------'/ HELPSC    283
C                                                                       HELPSC    284
      DATA (C17(I),I=1,13) /                                            HELPSC    285
     1'--------------------------------------------------------------', HELPSC    286
     2'                                                              ', HELPSC    287
     3'             PRE-FAULT STATE DERIVATIVE TOLERANCE             ', HELPSC    288
     4'                                                              ', HELPSC    289
     5'   This parameter sets the tolerance for checking derivatives ', HELPSC    290
     6'   of system states at steady state condition. A table will be', HELPSC    291
     7'   printed for those states whose derivatives are greater than', HELPSC    292
     8'   the tolerance.                                             ', HELPSC    293
     9'                                                              ', HELPSC    294
     *'   This parameter can not be changed after the initialization ', HELPSC    295
     1'   has been performed with command INITIAL.                   ', HELPSC    296
     2'                                                              ', HELPSC    297
     3'--------------------------------------------------------------'/ HELPSC    298
C                                                                       HELPSC    299
      DATA (C18(I),I=1,13) /                                            HELPSC    300
     1'--------------------------------------------------------------', HELPSC    301
     2'                                                              ', HELPSC    302
     3'           LOWER LIMIT OF GENERATOR TERMINAL VOLTAGE          ', HELPSC    303
     4'                                                              ', HELPSC    304
     5'   This parameter sets the lower bound for checking the       ', HELPSC    305
     6'   generator voltages during simulation. Any generators with  ', HELPSC    306
     7'   terminal voltages falling below this value will be         ', HELPSC    307
     8'   tabulated for review.                                      ', HELPSC    308
     9'                                                              ', HELPSC    309
     *'   This parameter can not be changed after the initialization ', HELPSC    310
     1'   has been performed with command INITIAL.                   ', HELPSC    311
     2'                                                              ', HELPSC    312
     3'--------------------------------------------------------------'/ HELPSC    313
C                                                                       HELPSC    314
      DATA (C19(I),I=1,13) /                                            HELPSC    315
     1'--------------------------------------------------------------', HELPSC    316
     2'                                                              ', HELPSC    317
     3'           UPPER LIMIT OF GENERATOR TERMINAL VOLTAGE          ', HELPSC    318
     4'                                                              ', HELPSC    319
     5'   This parameter sets the upper bound for checking the       ', HELPSC    320
     6'   generator voltages during simulation. Any generators with  ', HELPSC    321
     7'   terminal voltages going above this value will be tabulated ', HELPSC    322
     8'   for review.                                                ', HELPSC    323
     9'                                                              ', HELPSC    324
     *'   This parameter can not be changed after the initialization ', HELPSC    325
     1'   has been performed with command INITIAL.                   ', HELPSC    326
     2'                                                              ', HELPSC    327
     3'--------------------------------------------------------------'/ HELPSC    328
C                                                                       HELPSC    329
      DATA (C20(I),I=1,12) /                                            HELPSC    330
     1'--------------------------------------------------------------', HELPSC    331
     2'                                                              ', HELPSC    332
     3'                  LOWER LIMIT OF BUS VOLTAGE                  ', HELPSC    333
     4'                                                              ', HELPSC    334
     5'   This parameter sets the lower bound for checking the bus   ', HELPSC    335
     6'   voltages during simulation. Any buses with voltages falling', HELPSC    336
     7'   below this value will be tabulated for review.             ', HELPSC    337
     8'                                                              ', HELPSC    338
     9'   This parameter can not be changed after the initialization ', HELPSC    339
     *'   has been performed with command INITIAL.                   ', HELPSC    340
     1'                                                              ', HELPSC    341
     2'--------------------------------------------------------------'/ HELPSC    342
C                                                                       HELPSC    343
      DATA (C21(I),I=1,12) /                                            HELPSC    344
     1'--------------------------------------------------------------', HELPSC    345
     2'                                                              ', HELPSC    346
     3'                  UPPER LIMIT OF BUS VOLTAGE                  ', HELPSC    347
     4'                                                              ', HELPSC    348
     5'   This parameter sets the upper bound for checking the bus   ', HELPSC    349
     6'   voltages during simulation. Any buses with voltages going  ', HELPSC    350
     7'   above this value will be tabulated for review.             ', HELPSC    351
     8'                                                              ', HELPSC    352
     9'   This parameter can not be changed after the initialization ', HELPSC    353
     *'   has been performed with command INITIAL.                   ', HELPSC    354
     1'                                                              ', HELPSC    355
     2'--------------------------------------------------------------'/ HELPSC    356
C                                                                       HELPSC    357
      DATA (C22(I),I=1,12) /                                            HELPSC    358
     1'--------------------------------------------------------------', HELPSC    359
     2'                                                              ', HELPSC    360
     3'            MAX. GENERATOR SPEED DEVIATION ALLOWED            ', HELPSC    361
     4'                                                              ', HELPSC    362
     5'   This parameter sets the maximum generator speed deviation  ', HELPSC    363
     6'   during the simulation. The computation will terminate if   ', HELPSC    364
     7'   any of the generator speed deviations exceeds this value.  ', HELPSC    365
     8'                                                              ', HELPSC    366
     9'   This parameter can not be changed after the initialization ', HELPSC    367
     *'   has been performed with command INITIAL.                   ', HELPSC    368
     1'                                                              ', HELPSC    369
     2'--------------------------------------------------------------'/ HELPSC    370
C                                                                       HELPSC    371
      DATA (C23(I),I=1,15) /                                            HELPSC    372
     1'--------------------------------------------------------------', HELPSC    373
     2'                                                              ', HELPSC    374
     3'           MIN. TIME CONSTANT FOR DYNAMIC DATA CHECK          ', HELPSC    375
     4'                                                              ', HELPSC    376
     5'   This parameter defines the minimum time constant for       ', HELPSC    377
     6'   dynamic data check. Refer to the user manual for actions   ', HELPSC    378
     7'   that the program will take if a time constant is smaller   ', HELPSC    379
     8'   than the minimum. Note that, to disable the correction of  ', HELPSC    380
     9'   such time constants, select item (8) from this menu rather ', HELPSC    381
     *'   than setting this parameter to zero.                       ', HELPSC    382
     1'                                                              ', HELPSC    383
     2'   This parameter can not be changed after the initialization ', HELPSC    384
     3'   has been performed with command INITIAL.                   ', HELPSC    385
     4'                                                              ', HELPSC    386
     5'--------------------------------------------------------------'/ HELPSC    387
C                                                                       HELPSC    388
      DATA (C24(I),I=1,5) /                                             HELPSC    389
     1'--------------------------------------------------------------', HELPSC    390
     2'                                                              ', HELPSC    391
     3'              AUTOMATIC DYNAMIC DATA CORRECTION               ', HELPSC    392
     4'                                                              ', HELPSC    393
     5'--------------------------------------------------------------'/ HELPSC    394
C                                                                       HELPSC    395
      DATA (C25(I),I=1,16) /                                            HELPSC    396
     1'--------------------------------------------------------------', HELPSC    397
     2'                                                              ', HELPSC    398
     3'      NETWORK UPDATE INTERVAL FOR INDUCTION MOTOR TRIPPING    ', HELPSC    399
     4'                                                              ', HELPSC    400
     5'   This parameter defines the network update interval when    ', HELPSC    401
     6'   induction motors are tripped by the low voltage relay.     ', HELPSC    402
     7'   For example, if the value 10 is specified, then the network', HELPSC    403
     8'   matrix will be updated after every 10 induction motors are ', HELPSC    404
     9'   tripped.                                                   ', HELPSC    405
     *'                                                              ', HELPSC    406
     1'   Note that to update the network matrix and to refactorize  ', HELPSC    407
     2'   it are CPU time consuming. Therefore, the update interval  ', HELPSC    408
     3'   should be kept reasonably long by specifying a satisfactory', HELPSC    409
     4'   value.                                                     ', HELPSC    410
     5'                                                              ', HELPSC    411
     6'--------------------------------------------------------------'/ HELPSC    412
C                                                                       HELPSC    413
      DATA (C99(I),I=1,8) /                                             HELPSC    414
     1'--------------------------------------------------------------', HELPSC    415
     2'                                                              ', HELPSC    416
     3'   No help is available here.                                 ', HELPSC    417
     4'                                                              ', HELPSC    418
     5'   Please select a number from the menu and type HELP for help', HELPSC    419
     6'   message on a particular parameter.                         ', HELPSC    420
     7'                                                              ', HELPSC    421
     8'--------------------------------------------------------------'/ HELPSC    422
C                                                                       HELPSC    423
      DATA (CDY(I),I=1,9) /                                             HELPSC    424
     1'----------------------- CDYNDATA SCREEN ----------------------', HELPSC    425
     2'                                                              ', HELPSC    426
     3'   Command  - CDYNDATA                                        ', HELPSC    427
     4'                                                              ', HELPSC    428
     5'   Function - Convert a dynamic data file in ETMSP Version 3  ', HELPSC    429
     6'   & Usage    format to Version 3.1 format. The program will  ', HELPSC    430
     7'              prompt for the files names of the existing data ', HELPSC    431
     8'              file and the new data file.                     ', HELPSC    432
     9'                                                              '/ HELPSC    433
C                                                                       HELPSC    434
      DATA (CDY(I),I=10,20) /                                           HELPSC    435
     *'   Note     - 1. This command converts only AC data. If DC    ', HELPSC    436
     1'                 data is present, simply cut and paste since  ', HELPSC    437
     2'                 DC data is not changed in Version 3.1 Format.', HELPSC    438
     3'              2. Any comments (e.g. lines starting with a "?")', HELPSC    439
     4'                 embedded in the existing data file will be   ', HELPSC    440
     5'                 lost in the new data file after conversion.  ', HELPSC    441
     6'              3. After conversion, the bus status check flag  ', HELPSC    442
     7'                 will be set to "NO", i.e., no bus status     ', HELPSC    443
     8'                 check will be performed.                     ', HELPSC    444
     9'                                                              ', HELPSC    445
     *'--------------------------------------------------------------'/ HELPSC    446
C                                                                       HELPSC    447
      DATA (DYN(I),I=1,13) /                                            HELPSC    448
     1'----------------------- DYNDATA SCREEN -----------------------', HELPSC    449
     2'                                                              ', HELPSC    450
     3'   Command  - DYNDATA                                         ', HELPSC    451
     4'                                                              ', HELPSC    452
     5'   Function - Read in the dynamic data in a valid format.     ', HELPSC    453
     6'   & Usage    For a description of valid dynamic data formats,', HELPSC    454
     7'              please see ETMSP user manual.                   ', HELPSC    455
     8'                                                              ', HELPSC    456
     9'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC    457
     *'                 and must be issued after LOADFLOW so that a  ', HELPSC    458
     1'                 load flow case is already available.         ', HELPSC    459
     2'                                                              ', HELPSC    460
     3'--------------------------------------------------------------'/ HELPSC    461
C                                                                       HELPSC    462
      DATA (FIL(I),I=1,15) /                                            HELPSC    463
     1'--------------------------------------------------------------', HELPSC    464
     2'                                                              ', HELPSC    465
     3'   The format of a file name is as follows:                   ', HELPSC    466
     4'                                                              ', HELPSC    467
     5'   FILE_NAME.EXT_NAME (<LOGICAL_UNIT>)                        ', HELPSC    468
     6'                                                              ', HELPSC    469
     7'   where FILE_NAME should be more than 4 characters and       ', HELPSC    470
     8'   EXT_NAM is the extension name (for compulsory output files,', HELPSC    471
     9'   extension names are internally assigned and thus are not   ', HELPSC    472
     *'   required in the input area). LOGICAL_UNIT is compulsory    ', HELPSC    473
     1'   only on IBM/MVS system.                                    ', HELPSC    474
     2'                                                              ', HELPSC    475
     3'   Example: PROGRM.DAT <14>                                   ', HELPSC    476
     4'                                                              ', HELPSC    477
     5'--------------------------------------------------------------'/ HELPSC    478
C                                                                       HELPSC    479
      DATA (HEL(I),I=1,15) /                                            HELPSC    480
     1'------------------------ HELP SCREEN -------------------------', HELPSC    481
     2'                                                              ', HELPSC    482
     3'   Command  - HELP                                            ', HELPSC    483
     4'                                                              ', HELPSC    484
     5'   Function - Invoke the context-sensitive help facility of   ', HELPSC    485
     6'   & Usage    ETMSP. The general format is                    ', HELPSC    486
     7'                                                              ', HELPSC    487
     8'              HELP <command keyword>                          ', HELPSC    488
     9'                                                              ', HELPSC    489
     *'              where <command keyword> is any valid command in ', HELPSC    490
     1'              ETMSP. If the command keyword is not entered,   ', HELPSC    491
     2'              the help screen for the topic at current prompt ', HELPSC    492
     3'              will be displayed.                              ', HELPSC    493
     4'                                                              ', HELPSC    494
     5'--------------------------------------------------------------'/ HELPSC    495
C                                                                       HELPSC    496
      DATA (INI(I),I=1,16) /                                            HELPSC    497
     1'----------------------- INITIAL SCREEN -----------------------', HELPSC    498
     2'                                                              ', HELPSC    499
     3'   Command  - INITIAL                                         ', HELPSC    500
     4'                                                              ', HELPSC    501
     5'   Function - Perform the initialization of the system at the ', HELPSC    502
     6'   & Usage    given steady state point determined by the load ', HELPSC    503
     7'              flow. In addition the following system condition', HELPSC    504
     8'              and data checks are carried out:                ', HELPSC    505
     9'                                                              ', HELPSC    506
     *'              1. Limits, small time constants in all controls ', HELPSC    507
     1'              2. System state derivatives at steady state     ', HELPSC    508
     2'                                                              ', HELPSC    509
     3'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC    510
     4'                 and must be issued after DYNDATA             ', HELPSC    511
     5'                                                              ', HELPSC    512
     6'--------------------------------------------------------------'/ HELPSC    513
C                                                                       HELPSC    514
      DATA (IN1(I),I=1,8) /                                             HELPSC    515
     1'--------------------------------------------------------------', HELPSC    516
     2'                                                              ', HELPSC    517
     3'   Simulation result file will contain in ACSII format the    ', HELPSC    518
     4'   results of the selected quantities as specified in the     ', HELPSC    519
     5'   output specification file, at the time interval specified  ', HELPSC    520
     6'   in the simulation specification file.                      ', HELPSC    521
     7'                                                              ', HELPSC    522
     8'--------------------------------------------------------------'/ HELPSC    523
C                                                                       HELPSC    524
      DATA (LDY(I),I=1,13) /                                            HELPSC    525
     1'----------------------- LDYNDATA SCREEN ----------------------', HELPSC    526
     2'                                                              ', HELPSC    527
     3'   Command  - LDYNDATA                                        ', HELPSC    528
     4'                                                              ', HELPSC    529
     5'   Function - Load all dynamic data into the permanent arrays.', HELPSC    530
     6'   & Usage    After LDYNDATA, the dynamic data can not be     ', HELPSC    531
     7'              changed.                                        ', HELPSC    532
     8'                                                              ', HELPSC    533
     9'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC    534
     *'                 and must be issued after DYNDATA, or MDYNDATA', HELPSC    535
     1'                 if dynamic data has been modified.           ', HELPSC    536
     2'                                                              ', HELPSC    537
     3'--------------------------------------------------------------'/ HELPSC    538
C                                                                       HELPSC    539
      DATA (LF1(I),I=1,10) /                                            HELPSC    540
     1'--------------------------------------------------------------', HELPSC    541
     2'                                                              ', HELPSC    542
     3'                      LOAD FLOW IDENTITY                      ', HELPSC    543
     4'                                                              ', HELPSC    544
     5'   This is a one-line descriptive title for the load flow     ', HELPSC    545
     6'   case, used for visual recognization only. The maximum      ', HELPSC    546
     7'   length of the title is 80 characters. This title is not    ', HELPSC    547
     8'   used internally by the program.                            ', HELPSC    548
     9'                                                              ', HELPSC    549
     *'--------------------------------------------------------------'/ HELPSC    550
C                                                                       HELPSC    551
      DATA (LF2(I),I=1,9) /                                             HELPSC    552
     1'--------------------------------------------------------------', HELPSC    553
     2'                                                              ', HELPSC    554
     3'                       LOAD FLOW NUMBER                       ', HELPSC    555
     4'                                                              ', HELPSC    556
     5'   This is an integer identifier for the load flow case, used ', HELPSC    557
     6'   for visual recognization only. The default value is 99.    ', HELPSC    558
     7'   This title is not used internally by the program.          ', HELPSC    559
     8'                                                              ', HELPSC    560
     9'--------------------------------------------------------------'/ HELPSC    561
C                                                                       HELPSC    562
      DATA (LF3(I),I=1,10) /                                            HELPSC    563
     1'--------------------------------------------------------------', HELPSC    564
     2'                                                              ', HELPSC    565
     3'                     LOAD FLOW FORMAT CODE                    ', HELPSC    566
     4'                                                              ', HELPSC    567
     5'   This listing gives all available load flow formats ETMSP   ', HELPSC    568
     6'   accepts. If a format has bus indexing by both number and   ', HELPSC    569
     7'   name (e.g., PSF format), select the one that is consistent ', HELPSC    570
     8'   with the bus indexing of dynamic data.                     ', HELPSC    571
     9'                                                              ', HELPSC    572
     *'--------------------------------------------------------------'/ HELPSC    573
C                                                                       HELPSC    574
      DATA (LOA(I),I=1,18) /                                            HELPSC    575
     1'----------------------- LOADFLOW SCREEN ----------------------', HELPSC    576
     2'                                                              ', HELPSC    577
     3'   Command  - LOADFLOW                                        ', HELPSC    578
     4'                                                              ', HELPSC    579
     5'   Function - Read in the load flow data in a valid format and', HELPSC    580
     6'   & Usage    other associated parameters (load flow identity ', HELPSC    581
     7'              and load flow number). For a description of     ', HELPSC    582
     8'              valid load flow formats, please see ETMSP user  ', HELPSC    583
     9'              manual.                                         ', HELPSC    584
     *'                                                              ', HELPSC    585
     1'   Note     - 1. The load flow data must be a solved load flow', HELPSC    586
     2'                 case; otherwise, the program will report     ', HELPSC    587
     3'                 mismatches.                                  ', HELPSC    588
     4'              2. The default load flow data format is set to  ', HELPSC    589
     5'                 PTI RAWD format.                             ', HELPSC    590
     6'              3. This is a compulsory command to run a case,  ', HELPSC    591
     7'                 and must be issued before reading dynamic    ', HELPSC    592
     8'                 data.                                        '/ HELPSC    593
C                                                                       HELPSC    594
      DATA (LOA(I),I=19,20) /                                           HELPSC    595
     9'                                                              ', HELPSC    596
     *'--------------------------------------------------------------'/ HELPSC    597
C                                                                       HELPSC    598
      DATA (LSW(I),I=1,5) /                                             HELPSC    599
     1'--------------------------------------------------------------', HELPSC    600
     2'                                                              ', HELPSC    601
     3' LSWITDA  - Load in and print simulation specification data.  ', HELPSC    602
     4'                                                              ', HELPSC    603
     5'--------------------------------------------------------------'/ HELPSC    604
C                                                                       HELPSC    605
      DATA (LS1(I),I=1,5) /                                             HELPSC    606
     1'--------------------------------------------------------------', HELPSC    607
     2'                                                              ', HELPSC    608
     3'   The summary of the SIMULATION file is a file.              ', HELPSC    609
     4'                                                              ', HELPSC    610
     5'--------------------------------------------------------------'/ HELPSC    611
C                                                                       HELPSC    612
      DATA (MDY(I),I=1,14) /                                            HELPSC    613
     1'----------------------- MDYNDATA SCREEN ----------------------', HELPSC    614
     2'                                                              ', HELPSC    615
     3'   Command  - MDYNDATA                                        ', HELPSC    616
     4'                                                              ', HELPSC    617
     5'   Function - Modify dynamic data before loading them into the', HELPSC    618
     6'   & Usage    permanent arrays.  A wide range of modification ', HELPSC    619
     7'              capabilities are available.  Please follow the  ', HELPSC    620
     8'              menu tree under the command to perform the      ', HELPSC    621
     9'              modification.                                   ', HELPSC    622
     *'                                                              ', HELPSC    623
     1'   Note     - 1. This command must be issued after DYNDATA and', HELPSC    624
     2'                 before LDYNDATA.                             ', HELPSC    625
     3'                                                              ', HELPSC    626
     4'--------------------------------------------------------------'/ HELPSC    627
C                                                                       HELPSC    628
      DATA (MEN(I),I=1,8) /                                             HELPSC    629
     1'------------------------ MENU SCREEN -------------------------', HELPSC    630
     2'                                                              ', HELPSC    631
     3'   Command  - MENU                                            ', HELPSC    632
     4'                                                              ', HELPSC    633
     5'   Function - Toggle between menu mode and command mode in an ', HELPSC    634
     6'   & Usage    ETMSP session.                                  ', HELPSC    635
     7'                                                              ', HELPSC    636
     8'--------------------------------------------------------------'/ HELPSC    637
C                                                                       HELPSC    638
      DATA (MSW(I),I=1,18) /                                            HELPSC    639
     1'---------------------- MSWITDA SCREEN ------------------------', HELPSC    640
     2'                                                              ', HELPSC    641
     3'   Command  - MSWITDA                                         ', HELPSC    642
     4'                                                              ', HELPSC    643
     5'   Function - Modify the simulation specification data. The   ', HELPSC    644
     6'   & Usage    available commands are:                         ', HELPSC    645
     7'                                                              ', HELPSC    646
     8'   SUBSTITUTE LINE# :OLD TEXT:NEW TEXT:                       ', HELPSC    647
     9'              - Substitute old text with the new one          ', HELPSC    648
     *'   INSERT LINE# :TEXT                                         ', HELPSC    649
     1'              - Insert a line after the line number           ', HELPSC    650
     2'   REPLACE LINE# :TEXT                                        ', HELPSC    651
     3'              - Replace the line                              ', HELPSC    652
     4'   DELETE LINE#                                               ', HELPSC    653
     5'              - Delete the line                               ', HELPSC    654
     6'   SHOW LINE#                                                 ', HELPSC    655
     7'              - Display 22 lines around the line              ', HELPSC    656
     8'   NEXT LINE#                                                 '/ HELPSC    657
C                                                                       HELPSC    658
      DATA (MSW(I),I=19,22) /                                           HELPSC    659
     9'              - Display next 22 lines after the line          ', HELPSC    660
     *'   QUIT       - Exit and ignore the changes                   ', HELPSC    661
     1'   EXIT       - Exit and save the changes                     ', HELPSC    662
     2'--------------------------------------------------------------'/ HELPSC    663
C                                                                       HELPSC    664
      DATA (MS1(I),I=1,18) /                                            HELPSC    665
     1'---------------------------------------------------------------',HELPSC    666
     2'                                                               ',HELPSC    667
     3'                     ETMSP HELP FACILITY                       ',HELPSC    668
     4'                                                               ',HELPSC    669
     5'   To obtain detailed help on a specific command, type         ',HELPSC    670
     6'                                                               ',HELPSC    671
     7'   HELP <command keyword>                                      ',HELPSC    672
     8'                                                               ',HELPSC    673
     9'   General comments on command usage and rules:                ',HELPSC    674
     *'                                                               ',HELPSC    675
     1'   1. Any command can be abbreviated to its first three letters',HELPSC    676
     2'      Thus, SET is equivalent to SETSIM, and so forth.         ',HELPSC    677
     3'                                                               ',HELPSC    678
     4'   2. Commands and user responses to the program (file name,   ',HELPSC    679
     5'      numeric selection, etc.) can be piled up in the same     ',HELPSC    680
     6'      input line, separated by an equal sign "=".              ',HELPSC    681
     7'                                                               ',HELPSC    682
     8'   3. Some commands must be issued at certain stage in an ETMSP'/HELPSC    683
C                                                                       HELPSC    684
      DATA (MS1(I),I=19,22) /                                           HELPSC    685
     9'      session. See help for individual command for details.    ',HELPSC    686
     *'                                                               ',HELPSC    687
     1'   The following is a summary of the available commands.       ',HELPSC    688
     2'---------------------------------------------------------------'/HELPSC    689
C                                                                       HELPSC    690
      DATA (MS2(I),I=1,18) /                                            HELPSC    691
     1'---------------------------------------------------------------',HELPSC    692
     2'                                                               ',HELPSC    693
     3'   Session control commands                                    ',HELPSC    694
     4'   ------------------------                                    ',HELPSC    695
     5'                                                               ',HELPSC    696
     6'   QUIT     - Quit an ETMSP session                            ',HELPSC    697
     7'   HELP     - Invoke ETMSP context-sensitive help facility     ',HELPSC    698
     8'   RECORD   - Create an ETMSP command file (macro) for playback',HELPSC    699
     9'   STOPREC  - Stop a recording session.                        ',HELPSC    700
     *'   PLAYBACK - Execute an ETMSP command file.                   ',HELPSC    701
     1'   VMSDCL   - Execute a DCL command (VAX/VMS only).            ',HELPSC    702
     2'   MENU     - Switches between command and menu mode           ',HELPSC    703
     3'                                                               ',HELPSC    704
     4'                                                               ',HELPSC    705
     5'                                                               ',HELPSC    706
     6'                                                               ',HELPSC    707
     7'                                                               ',HELPSC    708
     8'                                                               '/HELPSC    709
C                                                                       HELPSC    710
      DATA (MS2(I),I=19,22) /                                           HELPSC    711
     9'                                                               ',HELPSC    712
     *'                                                               ',HELPSC    713
     1'                                                               ',HELPSC    714
     2'---------------------------------------------------------------'/HELPSC    715
C                                                                       HELPSC    716
      DATA (MS3(I),I=1,18) /                                            HELPSC    717
     1'---------------------------------------------------------------',HELPSC    718
     2'                                                               ',HELPSC    719
     3'   Data input and preparation commands                         ',HELPSC    720
     4'   -----------------------------------                         ',HELPSC    721
     5'                                                               ',HELPSC    722
     6'   SETSIM   - Setup automatically the command procedure for    ',HELPSC    723
     7'              user to run a case                               ',HELPSC    724
     8'   CASE     - Change the default parameter setting             ',HELPSC    725
     9'   LOADFLOW - Read in the load flow data                       ',HELPSC    726
     *'   CDYNDATA - Convert dynamic data in ETMSP Version 3.0 format ',HELPSC    727
     1'              to Version 3.1 format                            ',HELPSC    728
     2'   DYNDATA  - Read the dynamic data                            ',HELPSC    729
     3'   MDYNDATA - Modify the dynamic data                          ',HELPSC    730
     4'   WDYNDATA - Write the dynamic data read through DYNDATA and  ',HELPSC    731
     5'              MDYNDATA into a user specified output file       ',HELPSC    732
     6'   LDYNDATA - Load the dynamic data                            ',HELPSC    733
     7'                                                               ',HELPSC    734
     8'                                                               '/HELPSC    735
C                                                                       HELPSC    736
       DATA (MS3(I),I=19,22) /                                          HELPSC    737
     9'                                                               ',HELPSC    738
     *'                                                               ',HELPSC    739
     1'                                                               ',HELPSC    740
     2'---------------------------------------------------------------'/HELPSC    741
C                                                                       HELPSC    742
       DATA (MS4(I),I=1,18) /                                           HELPSC    743
     1'---------------------------------------------------------------',HELPSC    744
     2'                                                               ',HELPSC    745
     3'   Data and system condition printing commands                 ',HELPSC    746
     4'   -------------------------------------------                 ',HELPSC    747
     5'                                                               ',HELPSC    748
     6'   TADATA   - Tabulate dynamic data                            ',HELPSC    749
     7'   TAINIT   - Tabulate initial conditions                      ',HELPSC    750
     8'                                                               ',HELPSC    751
     9'   Switching data preparation commands                         ',HELPSC    752
     *'   -----------------------------------                         ',HELPSC    753
     1'                                                               ',HELPSC    754
     2'   SWITDATA - Read the simulation specification data           ',HELPSC    755
     3'   MSWITDA  - Modify the simulation specification data         ',HELPSC    756
     4'   LSWITDA  - Load the simulation specification data           ',HELPSC    757
     5'                                                               ',HELPSC    758
     6'   Ouptut data preparation commands                            ',HELPSC    759
     7'   --------------------------------                            ',HELPSC    760
     8'                                                               '/HELPSC    761
C                                                                       HELPSC    762
      DATA (MS4(I),I=19,22)/                                            HELPSC    763
     9'   RRESDAT  - Read the output specification data               ',HELPSC    764
     *'   RESUDATA - Read the result requirement data                 ',HELPSC    765
     1'                                                               ',HELPSC    766
     2'---------------------------------------------------------------'/HELPSC    767
C                                                                       HELPSC    768
       DATA (MS5(I),I=1,18) /                                           HELPSC    769
     1'---------------------------------------------------------------',HELPSC    770
     2'                                                               ',HELPSC    771
     3'   System relay specification commands                         ',HELPSC    772
     4'   -----------------------------------                         ',HELPSC    773
     5'                                                               ',HELPSC    774
     6'   RELADATA - Read the relay specification data                ',HELPSC    775
     7'                                                               ',HELPSC    776
     8'   Initialization and simulation commands                      ',HELPSC    777
     9'   --------------------------------------                      ',HELPSC    778
     *'                                                               ',HELPSC    779
     1'   INITIAL  - Perform initialization of the system and some    ',HELPSC    780
     2'              system condition checks                          ',HELPSC    781
     3'   SIMULAT  - Start the simulation                             ',HELPSC    782
     4'                                                               ',HELPSC    783
     5'                                                               ',HELPSC    784
     6'                                                               ',HELPSC    785
     7'                                                               ',HELPSC    786
     8'                                                               '/HELPSC    787
C                                                                       HELPSC    788
      DATA (MS5(I),I=19,22)/                                            HELPSC    789
     9'                                                               ',HELPSC    790
     *'                                                               ',HELPSC    791
     1'                                                               ',HELPSC    792
     2'---------------------------------------------------------------'/HELPSC    793
C                                                                       HELPSC    794
      DATA (PLA(I),I=1,15) /                                            HELPSC    795
     1'---------------------- PLAYBACK SCREEN -----------------------', HELPSC    796
     2'                                                              ', HELPSC    797
     3'   Command  - PLAYBACK                                        ', HELPSC    798
     4'                                                              ', HELPSC    799
     5'   Function - Execute an ETMSP command file created by RECORD ', HELPSC    800
     6'   & Usage    or an editor. The format of the command is      ', HELPSC    801
     7'                                                              ', HELPSC    802
     8'              PLAYBACK=<command file name> <##>               ', HELPSC    803
     9'                                                              ', HELPSC    804
     *'              where <##> is an optional FORTRAN logical unit  ', HELPSC    805
     1'              number (compulsory for IBM/MVS system). If the  ', HELPSC    806
     2'              =<command file name> qualifier is not entered,  ', HELPSC    807
     3'              the program will prompt for a file name.        ', HELPSC    808
     4'                                                              ', HELPSC    809
     5'--------------------------------------------------------------'/ HELPSC    810
C                                                                       HELPSC    811
      DATA (QUI(I),I=1,8) /                                             HELPSC    812
     1'------------------------ QUIT SCREEN -------------------------', HELPSC    813
     2'                                                              ', HELPSC    814
     3'   Command  - QUIT                                            ', HELPSC    815
     4'                                                              ', HELPSC    816
     5'   Function - Quit an ETMSP session. All files openes during  ', HELPSC    817
     6'   & Usage    the session will be closed.                     ', HELPSC    818
     7'                                                              ', HELPSC    819
     8'--------------------------------------------------------------'/ HELPSC    820
C                                                                       HELPSC    821
      DATA (REC(I),I=1,19) /                                            HELPSC    822
     1'----------------------- RECORD SCREEN ------------------------', HELPSC    823
     2'                                                              ', HELPSC    824
     3'   Command  - RECORD                                          ', HELPSC    825
     4'                                                              ', HELPSC    826
     5'   Function - Create an ETMSP command file (macro) for use by ', HELPSC    827
     6'   & Usage    PLAYBACK. The format of the command is          ', HELPSC    828
     7'                                                              ', HELPSC    829
     8'              RECORD=<command file name> <##>                 ', HELPSC    830
     9'                                                              ', HELPSC    831
     *'              where <##> is an optional FORTRAN logical unit  ', HELPSC    832
     1'              number (compulsory for IBM/MVS system). If the  ', HELPSC    833
     2'              =<command file name> qualifier is not entered,  ', HELPSC    834
     3'              the program will prompt for a file name. The    ', HELPSC    835
     4'              recording session can be ended by STOPREC.      ', HELPSC    836
     5'                                                              ', HELPSC    837
     6'   Note     - 1. During a recording session, the main prompt  ', HELPSC    838
     7'                 ETMSP will become (ETMSP).                   ', HELPSC    839
     8'                                                              ', HELPSC    840
     9'--------------------------------------------------------------'/ HELPSC    841
C                                                                       HELPSC    842
      DATA (REL(I),I=1,8) /                                             HELPSC    843
     1'---------------------- RELADATA SCREEN -----------------------', HELPSC    844
     2'                                                              ', HELPSC    845
     3'   Command  - RELADATA                                        ', HELPSC    846
     4'                                                              ', HELPSC    847
     5'   Function - Read the automatic relay data.                  ', HELPSC    848
     6'   & Usage                                                    ', HELPSC    849
     7'                                                              ', HELPSC    850
     8'--------------------------------------------------------------'/ HELPSC    851
C                                                                       HELPSC    852
      DATA (RRE(I),I=1,19) /                                            HELPSC    853
     1'----------------------- RRESDAT SCREEN -----------------------', HELPSC    854
     2'                                                              ', HELPSC    855
     3'   Command  - RRESDAT                                         ', HELPSC    856
     4'                                                              ', HELPSC    857
     5'   Function - Read the user-defined output quantities from    ', HELPSC    858
     6'   & Usage    either a file or keyboard. During simulation,   ', HELPSC    859
     7'              only those quantites that are specified by the  ', HELPSC    860
     8'              user will be stored in the binary result file,  ', HELPSC    861
     9'              or printed in the ASC result file if the user   ', HELPSC    862
     *'              request it.                                     ', HELPSC    863
     1'                                                              ', HELPSC    864
     2'              A detailed channel map may be tabulated by using', HELPSC    865
     3'              TADATA command.                                 ', HELPSC    866
     4'                                                              ', HELPSC    867
     5'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC    868
     6'                 and must be issued after DYNDATA, or MDYNDATA', HELPSC    869
     7'                 if dynamic data has been modified.           ', HELPSC    870
     8'                                                              ', HELPSC    871
     9'--------------------------------------------------------------'/ HELPSC    872
C                                                                       HELPSC    873
      DATA(RR1(I),I=1,8) /                                              HELPSC    874
     1'--------------------------------------------------------------', HELPSC    875
     2'                                                              ', HELPSC    876
     3'   Output specification file contains the user-defined output ', HELPSC    877
     4'   quantities to be written in the binary result file for     ', HELPSC    878
     5'   output analysis. If N is selected, the output quantities   ', HELPSC    879
     6'   must be specified from the keyboard.                       ', HELPSC    880
     7'                                                              ', HELPSC    881
     8'--------------------------------------------------------------'/ HELPSC    882
C                                                                       HELPSC    883
      DATA (RR2(I),I=1,11) /                                            HELPSC    884
     1'--------------------------------------------------------------', HELPSC    885
     2'                                                              ', HELPSC    886
     3'  This option allows the user to specify the output quantities', HELPSC    887
     4'  directly from the keyboard. The procedure can be recorded by', HELPSC    888
     5'  using RECORD command and then repeated in another session by', HELPSC    889
     6'  using PLAYBACK command.                                     ', HELPSC    890
     7'                                                              ', HELPSC    891
     8'  The output quantities read in previously from an output     ', HELPSC    892
     9'  specification file are still valid.                         ', HELPSC    893
     *'                                                              ', HELPSC    894
     1'--------------------------------------------------------------'/ HELPSC    895
C                                                                       HELPSC    896
      DATA (RR3(I),I=1,8) /                                             HELPSC    897
     1'--------------------------------------------------------------', HELPSC    898
     2'                                                              ', HELPSC    899
     3'   This menu contains items corresponding to the keywords for ', HELPSC    900
     4'   specifying output quantities. Refer to the user manual for ', HELPSC    901
     5'   the detailed desciption of channels available under each   ', HELPSC    902
     6'   item.                                                      ', HELPSC    903
     7'                                                              ', HELPSC    904
     8'--------------------------------------------------------------'/ HELPSC    905
C                                                                       HELPSC    906
      DATA (RR4(I),I=1,5) /                                             HELPSC    907
     1'--------------------------------------------------------------', HELPSC    908
     2'                                                              ', HELPSC    909
     3'   Format : A24                                               ', HELPSC    910
     4'                                                              ', HELPSC    911
     5'--------------------------------------------------------------'/ HELPSC    912
C                                                                       HELPSC    913
      DATA (RR5(I),I=1,13) /                                            HELPSC    914
     1'--------------------------------------------------------------', HELPSC    915
     2'                                                              ', HELPSC    916
     3'   Format  : ;BUS NUMBER;GENERATOR ID  - For bus number index ', HELPSC    917
     4'             ;BUS NAME;GENERATOR ID    - For bus name index   ', HELPSC    918
     5'                                                              ', HELPSC    919
     6'   Example : ;12345; 1                 - For bus number index ', HELPSC    920
     7'             ;BUSNAME12345; 1          - For bus name index   ', HELPSC    921
     8'                                                              ', HELPSC    922
     9'   Note    1. Bus name is a 12-character string.              ', HELPSC    923
     *'           2. Generator ID is a 2-character string. Therefore,', HELPSC    924
     1'              " 1" and "1 " are different IDs.                ', HELPSC    925
     2'                                                              ', HELPSC    926
     3'--------------------------------------------------------------'/ HELPSC    927
C                                                                       HELPSC    928
      DATA (RR6(I),I=1,15) /                                            HELPSC    929
     1'--------------------------------------------------------------', HELPSC    930
     2'                                                              ', HELPSC    931
     3'   Format  : ;FAULT BUS NO.;ZERO POTENTIAL BUS NO.            ', HELPSC    932
     4'                                       - For bus number index ', HELPSC    933
     5'             ;FAULT BUS NAME;ZERO POTENTIAL BUS NAME          ', HELPSC    934
     6'                                       - For bus name index   ', HELPSC    935
     7'                                                              ', HELPSC    936
     8'   Example : ;12345;67890                                     ', HELPSC    937
     9'                                       - For bus number index ', HELPSC    938
     *'             ;BUSNAME12345;BUSNAME67890                       ', HELPSC    939
     1'                                       - For bus name index   ', HELPSC    940
     2'                                                              ', HELPSC    941
     3'   Note    1. Bus name is a 12-character string.              ', HELPSC    942
     4'                                                              ', HELPSC    943
     5'--------------------------------------------------------------'/ HELPSC    944
C                                                                       HELPSC    945
      DATA (RR7(I),I=1,17) /                                            HELPSC    946
     1'--------------------------------------------------------------', HELPSC    947
     2'                                                              ', HELPSC    948
     3'   Format  : ;FROM-BUS NO.;TO-BUS NO.;CIRCUIT ID;SECTION ID   ', HELPSC    949
     4'                                       - For bus number index ', HELPSC    950
     5'             ;FROM-BUS NAME;TO-BUS NAME;CIRCUIT ID;SECTION ID ', HELPSC    951
     6'                                       - For bus name index   ', HELPSC    952
     7'                                                              ', HELPSC    953
     8'   Example : ;12345;67890; 1; 2                               ', HELPSC    954
     9'                                       - For bus number index ', HELPSC    955
     *'             ;BUSNAME12345;BUSNAME67890; 1; 2                 ', HELPSC    956
     1'                                       - For bus name index   ', HELPSC    957
     2'                                                              ', HELPSC    958
     3'   Note    1. Bus name is a 12-character string.              ', HELPSC    959
     4'           2. Circuit ID & section ID are 2-character strings.', HELPSC    960
     5'              Therefore, " 1" and "1 " are different IDs.     ', HELPSC    961
     6'                                                              ', HELPSC    962
     7'--------------------------------------------------------------'/ HELPSC    963
C                                                                       HELPSC    964
      DATA (RR8(I),I=1,17) /                                            HELPSC    965
     1'--------------------------------------------------------------', HELPSC    966
     2'                                                              ', HELPSC    967
     3'   Format  : ;FROM-BUS NO.;TO-BUS NO.;CIRCUIT ID              ', HELPSC    968
     4'                                       - For bus number index ', HELPSC    969
     5'             ;FROM-BUS NAME;TO-BUS NAME;CIRCUIT ID            ', HELPSC    970
     6'                                       - For bus name index   ', HELPSC    971
     7'                                                              ', HELPSC    972
     8'   Example : ;12345;67890; 1                                  ', HELPSC    973
     9'                                       - For bus number index ', HELPSC    974
     *'             ;BUSNAME12345;BUSNAME67890; 1                    ', HELPSC    975
     1'                                       - For bus name index   ', HELPSC    976
     2'                                                              ', HELPSC    977
     3'   Note    1. Bus name is a 12-character string.              ', HELPSC    978
     4'           2. Circuit ID is a 2-character string. Therefore,  ', HELPSC    979
     5'              " 1" and "1 " are different IDs.                ', HELPSC    980
     6'                                                              ', HELPSC    981
     7'--------------------------------------------------------------'/ HELPSC    982
C                                                                       HELPSC    983
      DATA (RR9(I),I=1,9) /                                             HELPSC    984
     1'--------------------------------------------------------------', HELPSC    985
     2'                                                              ', HELPSC    986
     3'   Format  : ;CONVERT NAME                                    ', HELPSC    987
     4'                                                              ', HELPSC    988
     5'   Example : ;CONVERTNAME12345                                ', HELPSC    989
     6'                                                              ', HELPSC    990
     7'   Note    1. Convert name is a 32-character string.          ', HELPSC    991
     8'                                                              ', HELPSC    992
     9'--------------------------------------------------------------'/ HELPSC    993
C                                                                       HELPSC    994
      DATA (R10(I),I=1,9) /                                             HELPSC    995
     1'--------------------------------------------------------------', HELPSC    996
     2'                                                              ', HELPSC    997
     3'   Format  : ;DC CONTROL BLOCK NAME                           ', HELPSC    998
     4'                                                              ', HELPSC    999
     5'   Example : ;DC-CONTROL-BLOCK-123                            ', HELPSC   1000
     6'                                                              ', HELPSC   1001
     7'   Note    1. DC control block name is a 20-character string. ', HELPSC   1002
     8'                                                              ', HELPSC   1003
     9'--------------------------------------------------------------'/ HELPSC   1004
C                                                                       HELPSC   1005
      DATA (R11(I),I=1,9) /                                             HELPSC   1006
     1'--------------------------------------------------------------', HELPSC   1007
     2'                                                              ', HELPSC   1008
     3'   Format  : ;DC BUS NAME                                     ', HELPSC   1009
     4'                                                              ', HELPSC   1010
     5'   Example : ;DC-BUS-1                                        ', HELPSC   1011
     6'                                                              ', HELPSC   1012
     7'   Note    1. DC bus name is a 8-character string.            ', HELPSC   1013
     8'                                                              ', HELPSC   1014
     9'--------------------------------------------------------------'/ HELPSC   1015
C                                                                       HELPSC   1016
      DATA (R12(I),I=1,11) /                                            HELPSC   1017
     1'--------------------------------------------------------------', HELPSC   1018
     2'                                                              ', HELPSC   1019
     3'   Format  : ;BUS NUMBER               - For bus number index ', HELPSC   1020
     4'             ;BUS NAME                 - For bus name index   ', HELPSC   1021
     5'                                                              ', HELPSC   1022
     6'   Example : ;12345                    - For bus number index ', HELPSC   1023
     7'             ;BUSNAME12345             - For bus name index   ', HELPSC   1024
     8'                                                              ', HELPSC   1025
     9'   Note    1. Bus name is a 12-character string.              ', HELPSC   1026
     *'                                                              ', HELPSC   1027
     1'--------------------------------------------------------------'/ HELPSC   1028
C                                                                       HELPSC   1029
      DATA (R13(I),I=1,12) /                                            HELPSC   1030
     1'--------------------------------------------------------------', HELPSC   1031
     2'                                                              ', HELPSC   1032
     3'   Format  : BLK1 BLK2 BLK3 BLK4 BLK5                         ', HELPSC   1033
     4'                                                              ', HELPSC   1034
     5'   Example : 1 2 3 4 5                                        ', HELPSC   1035
     6'                                                              ', HELPSC   1036
     7'   Note    1. Enter integer block numbers only, separated by  ', HELPSC   1037
     8'              spaces.                                         ', HELPSC   1038
     9'           2. If more than 5 numbers are entered, the numbers ', HELPSC   1039
     *'              after the fifth number will be ignored.         ', HELPSC   1040
     1'                                                              ', HELPSC   1041
     2'--------------------------------------------------------------'/ HELPSC   1042
C                                                                       HELPSC   1043
      DATA (R14(I),I=1,12) /                                            HELPSC   1044
     1'--------------------------------------------------------------', HELPSC   1045
     2'                                                              ', HELPSC   1046
     3'   Format  : STATE1 STATE2 STATE3 STATE4 STATE5               ', HELPSC   1047
     4'                                                              ', HELPSC   1048
     5'   Example : 1 2 3 4 5                                        ', HELPSC   1049
     6'                                                              ', HELPSC   1050
     7'   Note    1. Enter integer state numbers only, separated by  ', HELPSC   1051
     8'              spaces.                                         ', HELPSC   1052
     9'           2. If more than 5 numbers are entered, the numbers ', HELPSC   1053
     *'              after the fifth number will be ignored.         ', HELPSC   1054
     1'                                                              ', HELPSC   1055
     2'--------------------------------------------------------------'/ HELPSC   1056
C                                                                       HELPSC   1057
      DATA (SE1(I),I=1,9) /                                             HELPSC   1058
     1'--------------------------------------------------------------', HELPSC   1059
     2'                                                              ', HELPSC   1060
     3'   This option allows you to change simulation control and    ', HELPSC   1061
     4'   parameter setup.                                           ', HELPSC   1062
     5'                                                              ', HELPSC   1063
     6'   These functions are covered under command CASE. Type HELP  ', HELPSC   1064
     7'   CASE for more information.                                 ', HELPSC   1065
     8'                                                              ', HELPSC   1066
     9'--------------------------------------------------------------'/ HELPSC   1067
C                                                                       HELPSC   1068
      DATA (SE2(I),I=1,14) /                                            HELPSC   1069
     1'--------------------------------------------------------------', HELPSC   1070
     2'                                                              ', HELPSC   1071
     3'   This option allows you to do the following:                ', HELPSC   1072
     4'                                                              ', HELPSC   1073
     5'   1. Read dynamic data from separate files with different    ', HELPSC   1074
     6'      formats.                                                ', HELPSC   1075
     7'   2. Read dynamic data modifications from separate files.    ', HELPSC   1076
     8'   3. Edit interactively dynamic data already read in (adding,', HELPSC   1077
     9'      deleting, or modifying).                                ', HELPSC   1078
     *'                                                              ', HELPSC   1079
     1'   The above functions are all covered under command MDYNDATA.', HELPSC   1080
     2'   Type HELP MDY for more information.                        ', HELPSC   1081
     3'                                                              ', HELPSC   1082
     4'--------------------------------------------------------------'/ HELPSC   1083
C                                                                       HELPSC   1084
      DATA (SE3(I),I=1,12) /                                            HELPSC   1085
     1'--------------------------------------------------------------', HELPSC   1086
     2'                                                              ', HELPSC   1087
     3'   This option allows you to export the dynamic data in the   ', HELPSC   1088
     4'   temporary work space to a user-specified file in EPRI      ', HELPSC   1089
     5'   format. If the data was originally in formats other than   ', HELPSC   1090
     6'   EPRI format, it will be automatically converted to EPRI    ', HELPSC   1091
     7'   format.                                                    ', HELPSC   1092
     8'                                                              ', HELPSC   1093
     9'   This function is covered under command WDYNDATA. Type HELP ', HELPSC   1094
     *'   WDY for more information.                                  ', HELPSC   1095
     1'                                                              ', HELPSC   1096
     2'--------------------------------------------------------------'/ HELPSC   1097
C                                                                       HELPSC   1098
      DATA (SE4(I),I=1,9) /                                             HELPSC   1099
     1'--------------------------------------------------------------', HELPSC   1100
     2'                                                              ', HELPSC   1101
     3'   This option allows you to input the automatic relay data   ', HELPSC   1102
     4'   file.                                                      ', HELPSC   1103
     5'                                                              ', HELPSC   1104
     6'   This function is covered under command RELADAT. Type HELP  ', HELPSC   1105
     7'   REL for more information.                                  ', HELPSC   1106
     8'                                                              ', HELPSC   1107
     9'--------------------------------------------------------------'/ HELPSC   1108
C                                                                       HELPSC   1109
      DATA (SE5(I),I=1,9) /                                             HELPSC   1110
     1'--------------------------------------------------------------', HELPSC   1111
     2'                                                              ', HELPSC   1112
     3'   This option allows you to edit the simulation specification', HELPSC   1113
     4'   data in the temporary work space.                          ', HELPSC   1114
     5'                                                              ', HELPSC   1115
     6'   This function is covered under command MSWITDA. Type HELP  ', HELPSC   1116
     7'   MSW for more information.                                  ', HELPSC   1117
     8'                                                              ', HELPSC   1118
     9'--------------------------------------------------------------'/ HELPSC   1119
C                                                                       HELPSC   1120
      DATA (SE6(I),I=1,9) /                                             HELPSC   1121
     1'--------------------------------------------------------------', HELPSC   1122
     2'                                                              ', HELPSC   1123
     3'   This option allows you to tabulate the dynamic and other   ', HELPSC   1124
     4'   associated data in the temporary work space.               ', HELPSC   1125
     5'                                                              ', HELPSC   1126
     6'   This function is covered under command TADATA. Type HELP   ', HELPSC   1127
     7'   TAD for more information.                                  ', HELPSC   1128
     8'                                                              ', HELPSC   1129
     9'--------------------------------------------------------------'/ HELPSC   1130
C                                                                       HELPSC   1131
      DATA (SE7(I),I=1,9) /                                             HELPSC   1132
     1'--------------------------------------------------------------', HELPSC   1133
     2'                                                              ', HELPSC   1134
     3'   This option allows you to initialize the system at the     ', HELPSC   1135
     4'   steady state point determined by the load flow data.       ', HELPSC   1136
     5'                                                              ', HELPSC   1137
     6'   This function is covered under command INITIAL. Type HELP  ', HELPSC   1138
     7'   INI for more information.                                  ', HELPSC   1139
     8'                                                              ', HELPSC   1140
     9'--------------------------------------------------------------'/ HELPSC   1141
C                                                                       HELPSC   1142
      DATA (SE8(I),I=1,9) /                                             HELPSC   1143
     1'--------------------------------------------------------------', HELPSC   1144
     2'                                                              ', HELPSC   1145
     3'   This option allows you to tabulate the initial conditions  ', HELPSC   1146
     4'   of the system.                                             ', HELPSC   1147
     5'                                                              ', HELPSC   1148
     6'   This function is covered under command TAINIT. Type HELP   ', HELPSC   1149
     7'   TAI for more information.                                  ', HELPSC   1150
     8'                                                              ', HELPSC   1151
     9'--------------------------------------------------------------'/ HELPSC   1152
C                                                                       HELPSC   1153
      DATA (SE9(I),I=1,8) /                                             HELPSC   1154
     1'--------------------------------------------------------------', HELPSC   1155
     2'                                                              ', HELPSC   1156
     3'   This option allows you to start the simulation.            ', HELPSC   1157
     4'                                                              ', HELPSC   1158
     5'   This function is covered under command SIMULA. Type HELP   ', HELPSC   1159
     6'   SIM for more information.                                  ', HELPSC   1160
     7'                                                              ', HELPSC   1161
     8'--------------------------------------------------------------'/ HELPSC   1162
C                                                                       HELPSC   1163
      DATA (SET(I),I=1,14) /                                            HELPSC   1164
     1'------------------------ SETSIM SCREEN -----------------------', HELPSC   1165
     2'                                                              ', HELPSC   1166
     3'   Command  - SETSIM                                          ', HELPSC   1167
     4'                                                              ', HELPSC   1168
     5'   Function - Setup automatically the command procedure for   ', HELPSC   1169
     6'   & Usage    user to run a case. The program will give proper', HELPSC   1170
     7'              prompt at each step to guide user to input all  ', HELPSC   1171
     8'              necessary data and computation specifications.  ', HELPSC   1172
     9'                                                              ', HELPSC   1173
     *'   Note     - 1. This command should normally be issued right ', HELPSC   1174
     1'                 the beginning of an ETMSP session (after     ', HELPSC   1175
     2'                 typing in output file name).                 ', HELPSC   1176
     3'                                                              ', HELPSC   1177
     4'--------------------------------------------------------------'/ HELPSC   1178
C                                                                       HELPSC   1179
      DATA (SIM(I),I=1,12) /                                            HELPSC   1180
     1'------------------------ SIMULA SCREEN -----------------------', HELPSC   1181
     2'                                                              ', HELPSC   1182
     3'   Command  - SIMULA                                          ', HELPSC   1183
     4'                                                              ', HELPSC   1184
     5'   Function - Start the time-domain simulation.               ', HELPSC   1185
     6'   & Usage                                                    ', HELPSC   1186
     7'                                                              ', HELPSC   1187
     8'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC   1188
     9'                 and must be issued after INITIAL so that the ', HELPSC   1189
     *'                 system has been properly initialized.        ', HELPSC   1190
     1'                                                              ', HELPSC   1191
     2'--------------------------------------------------------------'/ HELPSC   1192
C                                                                       HELPSC   1193
      DATA (STO(I),I=1,11) /                                            HELPSC   1194
     1'---------------------- STOPREC SCREEN ------------------------', HELPSC   1195
     2'                                                              ', HELPSC   1196
     3'   Command  - STOPREC                                         ', HELPSC   1197
     4'                                                              ', HELPSC   1198
     5'   Function - End a recording session initiated by RECORD.    ', HELPSC   1199
     6'   & Usage                                                    ', HELPSC   1200
     7'                                                              ', HELPSC   1201
     8'   Note     - 1. This command is ignored if there is no RECORD', HELPSC   1202
     9'                 issued before.                               ', HELPSC   1203
     *'                                                              ', HELPSC   1204
     1'--------------------------------------------------------------'/ HELPSC   1205
C                                                                       HELPSC   1206
      DATA (SWI(I),I=1,15) /                                            HELPSC   1207
     1'---------------------- SWITDATA SCREEN -----------------------', HELPSC   1208
     2'                                                              ', HELPSC   1209
     3'   Command  - SWITDATA                                        ', HELPSC   1210
     4'                                                              ', HELPSC   1211
     5'   Function - Specify the switching activities used in the    ', HELPSC   1212
     6'   & Usage    simulation. This can be from an existing file or', HELPSC   1213
     7'              from the keyboard. The switching specifications ', HELPSC   1214
     8'              may be modified in the session by using command ', HELPSC   1215
     9'              MSWITDA.                                        ', HELPSC   1216
     *'                                                              ', HELPSC   1217
     1'   Note     - 1. This is a compulsory command to run a case,  ', HELPSC   1218
     2'                 and must be issued after RRESDAT and before  ', HELPSC   1219
     3'                 LSWITDA.                                     ', HELPSC   1220
     4'                                                              ', HELPSC   1221
     5'--------------------------------------------------------------'/ HELPSC   1222
C                                                                       HELPSC   1223
      DATA (SW1(I),I=1,9) /                                             HELPSC   1224
     1'--------------------------------------------------------------', HELPSC   1225
     2'                                                              ', HELPSC   1226
     3'          TABULATION OF THE SIMULATION SPECIFICATIONS         ', HELPSC   1227
     4'                                                              ', HELPSC   1228
     5'   This option allows you to tabulate the current simulation  ', HELPSC   1229
     6'   specifications in the data and initial condition tabulation', HELPSC   1230
     7'   file.                                                      ', HELPSC   1231
     8'                                                              ', HELPSC   1232
     9'--------------------------------------------------------------'/ HELPSC   1233
C                                                                       HELPSC   1234
      DATA (SW2(I),I=1,7) /                                             HELPSC   1235
     1'--------------------------------------------------------------', HELPSC   1236
     2'                                                              ', HELPSC   1237
     3' Enter a single text line to describe the switching activity. ', HELPSC   1238
     4' This is not used by the program but for visual identification', HELPSC   1239
     5' only.                                                        ', HELPSC   1240
     6'                                                              ', HELPSC   1241
     7'--------------------------------------------------------------'/ HELPSC   1242
C                                                                       HELPSC   1243
      DATA (SW3(I),I=1,7) /                                             HELPSC   1244
     1'--------------------------------------------------------------', HELPSC   1245
     2'                                                              ', HELPSC   1246
     3' Program will terminate if the PU speed deviation is greater  ', HELPSC   1247
     4' than this number. This number must be less than 0.1          ', HELPSC   1248
     5'                                                              ', HELPSC   1249
     6'                                                              ', HELPSC   1250
     7'--------------------------------------------------------------'/ HELPSC   1251
C                                                                       HELPSC   1252
      DATA (SW4(I),I=1,5) /                                             HELPSC   1253
     1'--------------------------------------------------------------', HELPSC   1254
     2'                                                              ', HELPSC   1255
     3' This is the total simulation time.                           ', HELPSC   1256
     4'                                                              ', HELPSC   1257
     5'--------------------------------------------------------------'/ HELPSC   1258
C                                                                       HELPSC   1259
      DATA (TAD(I),I=1,19) /                                            HELPSC   1260
     1'------------------------ TADATA SCREEN -----------------------', HELPSC   1261
     2'                                                              ', HELPSC   1262
     3'   Command  - TADATA                                          ', HELPSC   1263
     4'                                                              ', HELPSC   1264
     5'   Function - Tabulate data and other related information in  ', HELPSC   1265
     6'   & Usage    a user specified file. The format of the command', HELPSC   1266
     7'              is                                              ', HELPSC   1267
     8'                                                              ', HELPSC   1268
     9'              TADATA=<output file name> <##>                  ', HELPSC   1269
     *'                                                              ', HELPSC   1270
     1'              where <##> is an optional FORTRAN logical unit  ', HELPSC   1271
     2'              number (compulsory for IBM/MVS system).  If the ', HELPSC   1272
     3'              =<output file name> qualifier is not entered,   ', HELPSC   1273
     4'              the program will prompt for a file name.        ', HELPSC   1274
     5'                                                              ', HELPSC   1275
     6'   Note     - 1. This is an optional command, and must be     ', HELPSC   1276
     7'                 iussed after LSWITDA.                        ', HELPSC   1277
     8'                                                              ', HELPSC   1278
     9'--------------------------------------------------------------'/ HELPSC   1279
C                                                                       HELPSC   1280
       DATA (TAI(I),I=1,18) /                                           HELPSC   1281
     1'------------------------ TAINIT SCREEN -----------------------', HELPSC   1282
     2'                                                              ', HELPSC   1283
     3'   Command  - TAINIT                                          ', HELPSC   1284
     4'                                                              ', HELPSC   1285
     5'   Function - Tabulate the initial conditions of dynamic      ', HELPSC   1286
     6'   & Usage    devices and other components in the system. The ', HELPSC   1287
     7'              format of the command is                        ', HELPSC   1288
     8'                                                              ', HELPSC   1289
     9'              TAINIT=<output file name> <##>                  ', HELPSC   1290
     *'                                                              ', HELPSC   1291
     1'              where <##> is an optional FORTRAN logical unit  ', HELPSC   1292
     2'              number (compulsory for IBM/MVS system).  If the ', HELPSC   1293
     3'              =<output file name> qualifier is not entered,   ', HELPSC   1294
     4'              the program will prompt for a file name.        ', HELPSC   1295
     5'                                                              ', HELPSC   1296
     6'   Note     - 1. If TADATA is issued before TAINIT, the       ', HELPSC   1297
     7'                 initial condition tabulation will appear in  ', HELPSC   1298
     8'                 the file specified with TADATA, and thus the '/ HELPSC   1299
      DATA (TAI(I),I=19,22) /                                           HELPSC   1300
     9'                 =<output file name> option will be ignored.  ', HELPSC   1301
     *'              2. This command is optional, and must be issued ', HELPSC   1302
     1'                 after INITIAL.                               ', HELPSC   1303
     2'--------------------------------------------------------------'/ HELPSC   1304
C                                                                       HELPSC   1305
      DATA (TB1(I),I=1,4) /                                             HELPSC   1306
     1'--------------------------------------------------------------', HELPSC   1307
     2' Select devices to print their data into the specified file.  ', HELPSC   1308
     3'                                                              ', HELPSC   1309
     4'--------------------------------------------------------------'/ HELPSC   1310
C                                                                       HELPSC   1311
      DATA (TIN(I),I=1,7) /                                             HELPSC   1312
     1'--------------------------------------------------------------', HELPSC   1313
     2'                                                              ', HELPSC   1314
     3'   This menu lists all available initial condition tabulation ', HELPSC   1315
     4'   options. Follow the menu to select the items that you want ', HELPSC   1316
     5'   to tabulate.                                               ', HELPSC   1317
     6'                                                              ', HELPSC   1318
     7'--------------------------------------------------------------'/ HELPSC   1319
C                                                                       HELPSC   1320
      DATA (TN1(I),I=1,5) /                                             HELPSC   1321
     1'--------------------------------------------------------------', HELPSC   1322
     2'                                                              ', HELPSC   1323
     3' TAINIT   - Print initial conditions of devices.              ', HELPSC   1324
     4'                                                              ', HELPSC   1325
     5'--------------------------------------------------------------'/ HELPSC   1326
C                                                                       HELPSC   1327
      DATA (VMS(I),I=1,19) /                                            HELPSC   1328
     1'------------------------ VMSDCL SCREEN -----------------------', HELPSC   1329
     2'                                                              ', HELPSC   1330
     3'   Command  - VMSDCL                                          ', HELPSC   1331
     4'                                                              ', HELPSC   1332
     5'   Function - Execute a VAX/VMS DCL command.  The general     ', HELPSC   1333
     6'   & Usage    format of the command is                        ', HELPSC   1334
     7'                                                              ', HELPSC   1335
     8'              VMSDCL=<DCL command> <parameter>                ', HELPSC   1336
     9'                                                              ', HELPSC   1337
     *'              where <DCL command> is any valid VAX/VMS DCL    ', HELPSC   1338
     1'              command and <parameter> is the parameter needed ', HELPSC   1339
     2'              for the <DCL command>.  When VMS finishes the   ', HELPSC   1340
     3'              <DCL command>, the control is passed back to the', HELPSC   1341
     4'              program.                                        ', HELPSC   1342
     5'                                                              ', HELPSC   1343
     6'   Note     - 1. This command is valid on the VAX/VMS system  ', HELPSC   1344
     7'                 only.                                        ', HELPSC   1345
     8'                                                              ', HELPSC   1346
     9'--------------------------------------------------------------'/ HELPSC   1347
C                                                                       HELPSC   1348
      DATA (WDY(I),I=1,19) /                                            HELPSC   1349
     1'----------------------- WDYNDATA SCREEN ----------------------', HELPSC   1350
     2'                                                              ', HELPSC   1351
     3'   Command  - WDYNDATA                                        ', HELPSC   1352
     4'                                                              ', HELPSC   1353
     5'   Function - Write out the dynamic data in the temporary work', HELPSC   1354
     6'   & Usage    space (i.e., before command LDYNDATA) in a user-', HELPSC   1355
     7'              specified file. If the dynamic data is read from', HELPSC   1356
     8'              different sources (for example, different files ', HELPSC   1357
     9'              or keyboard inputs), it will be consolidated in ', HELPSC   1358
     *'              a single file.                                  ', HELPSC   1359
     1'                                                              ', HELPSC   1360
     2'   Note     - 1. This command exports only AC data. If DC data', HELPSC   1361
     3'                 is present, simply cut and paste.            ', HELPSC   1362
     4'              2. The output file will be in EPRI format. If   ', HELPSC   1363
     5'                 the dynamic data is read from different      ', HELPSC   1364
     6'                 formats, it will all be converted to EPRI    ', HELPSC   1365
     7'                 format.                                      ', HELPSC   1366
     8'                                                              ', HELPSC   1367
     9'--------------------------------------------------------------'/ HELPSC   1368
C                                                                       HELPSC   1369
      DATA (XXX(I),I=1,5) /                                             HELPSC   1370
     1'--------------------------------------------------------------', HELPSC   1371
     2'                                                              ', HELPSC   1372
     3'   NO HELP IS AVAILABLE HERE                                  ', HELPSC   1373
     4'                                                              ', HELPSC   1374
     5'--------------------------------------------------------------'/ HELPSC   1375
C                                                                       HELPSC   1376
      DATA LUD6/.FALSE./                                                HELPSC   1377
C                                                                       HELPSC   1378
      LDEB=.FALSE.                                                      HELPSC   1379
      SUBPMT=' HELPSC'                                                  HELPSC   1380
C                                                                       HELPSC   1381
      DO 50 I=1,3                                                       HELPSC   1382
         IF (COMM(I:I).GE.'a'.AND.COMM(I:I).LE.'z') THEN                HELPSC   1383
            COMMH(I:I)=CHAR(ICHAR(COMM(I:I))-ICHAR('a')+ICHAR('A'))     HELPSC   1384
         ELSE                                                           HELPSC   1385
            COMMH(I:I)=COMM(I:I)                                        HELPSC   1386
         END IF                                                         HELPSC   1387
  50  CONTINUE                                                          HELPSC   1388
C                                                                       HELPSC   1389
      IF (COMMH(1:3).EQ.'CAS') THEN                                     HELPSC   1390
         WRITE(LOUT,5000) CAS                                           HELPSC   1391
      ELSE IF (COMMH(1:3).EQ.'C01') THEN                                HELPSC   1392
         WRITE(LOUT,5000) C01                                           HELPSC   1393
      ELSE IF (COMMH(1:3).EQ.'C02') THEN                                HELPSC   1394
         WRITE(LOUT,5000) C02                                           HELPSC   1395
      ELSE IF (COMMH(1:3).EQ.'C03') THEN                                HELPSC   1396
         WRITE(LOUT,5000) C03                                           HELPSC   1397
      ELSE IF (COMMH(1:3).EQ.'C04') THEN                                HELPSC   1398
         WRITE(LOUT,5000) C04                                           HELPSC   1399
      ELSE IF (COMMH(1:3).EQ.'C05') THEN                                HELPSC   1400
         WRITE(LOUT,5000) C05                                           HELPSC   1401
      ELSE IF (COMMH(1:3).EQ.'C06') THEN                                HELPSC   1402
         WRITE(LOUT,5000) C06                                           HELPSC   1403
      ELSE IF (COMMH(1:3).EQ.'C07') THEN                                HELPSC   1404
         WRITE(LOUT,5000) C07                                           HELPSC   1405
      ELSE IF (COMMH(1:3).EQ.'C08') THEN                                HELPSC   1406
         WRITE(LOUT,5000) C08                                           HELPSC   1407
      ELSE IF (COMMH(1:3).EQ.'C09') THEN                                HELPSC   1408
         WRITE(LOUT,5000) C09                                           HELPSC   1409
      ELSE IF (COMMH(1:3).EQ.'C10') THEN                                HELPSC   1410
         WRITE(LOUT,5000) C10                                           HELPSC   1411
      ELSE IF (COMMH(1:3).EQ.'C11') THEN                                HELPSC   1412
         WRITE(LOUT,5000) C11                                           HELPSC   1413
      ELSE IF (COMMH(1:3).EQ.'C12') THEN                                HELPSC   1414
         WRITE(LOUT,5000) C12                                           HELPSC   1415
      ELSE IF (COMMH(1:3).EQ.'C13') THEN                                HELPSC   1416
         WRITE(LOUT,5000) C13                                           HELPSC   1417
      ELSE IF (COMMH(1:3).EQ.'C14') THEN                                HELPSC   1418
         WRITE(LOUT,5000) C14                                           HELPSC   1419
      ELSE IF (COMMH(1:3).EQ.'C15') THEN                                HELPSC   1420
         WRITE(LOUT,5000) C15                                           HELPSC   1421
      ELSE IF (COMMH(1:3).EQ.'C16') THEN                                HELPSC   1422
         WRITE(LOUT,5000) C16                                           HELPSC   1423
      ELSE IF (COMMH(1:3).EQ.'C17') THEN                                HELPSC   1424
         WRITE(LOUT,5000) C17                                           HELPSC   1425
      ELSE IF (COMMH(1:3).EQ.'C18') THEN                                HELPSC   1426
         WRITE(LOUT,5000) C18                                           HELPSC   1427
      ELSE IF (COMMH(1:3).EQ.'C19') THEN                                HELPSC   1428
         WRITE(LOUT,5000) C19                                           HELPSC   1429
      ELSE IF (COMMH(1:3).EQ.'C20') THEN                                HELPSC   1430
         WRITE(LOUT,5000) C20                                           HELPSC   1431
      ELSE IF (COMMH(1:3).EQ.'C21') THEN                                HELPSC   1432
         WRITE(LOUT,5000) C21                                           HELPSC   1433
      ELSE IF (COMMH(1:3).EQ.'C22') THEN                                HELPSC   1434
         WRITE(LOUT,5000) C22                                           HELPSC   1435
      ELSE IF (COMMH(1:3).EQ.'C23') THEN                                HELPSC   1436
         WRITE(LOUT,5000) C23                                           HELPSC   1437
      ELSE IF (COMMH(1:3).EQ.'C24') THEN                                HELPSC   1438
         WRITE(LOUT,5000) C24                                           HELPSC   1439
      ELSE IF (COMMH(1:3).EQ.'C25') THEN                                HELPSC   1440
         WRITE(LOUT,5000) C25                                           HELPSC   1441
      ELSE IF (COMMH(1:3).EQ.'C99') THEN                                HELPSC   1442
         WRITE(LOUT,5000) C99                                           HELPSC   1443
      ELSE IF (COMMH(1:3).EQ.'CDY') THEN                                HELPSC   1444
         WRITE(LOUT,5000) CDY                                           HELPSC   1445
      ELSE IF (COMMH(1:3).EQ.'DYN') THEN                                HELPSC   1446
         WRITE(LOUT,5000) DYN                                           HELPSC   1447
      ELSE IF (COMMH(1:3).EQ.'FIL') THEN                                HELPSC   1448
         WRITE(LOUT,5000) FIL                                           HELPSC   1449
C REMOVED BY DYW FNZ NOT DEFINED IN PROGRAM                             HELPSC   1450
C      ELSE IF (COMMH(1:3).EQ.'FNZ') THEN                               HELPSC   1451
C         WRITE(LOUT,5000) FNZ                                          HELPSC   1452
      ELSE IF (COMMH(1:3).EQ.'HEL') THEN                                HELPSC   1453
         WRITE(LOUT,5000) HEL                                           HELPSC   1454
      ELSE IF (COMMH(1:3).EQ.'INI') THEN                                HELPSC   1455
         WRITE(LOUT,5000) INI                                           HELPSC   1456
      ELSE IF (COMMH(1:3).EQ.'IN1') THEN                                HELPSC   1457
         WRITE(LOUT,5000) IN1                                           HELPSC   1458
      ELSE IF (COMMH(1:3).EQ.'LDY') THEN                                HELPSC   1459
         WRITE(LOUT,5000) LDY                                           HELPSC   1460
      ELSE IF (COMMH(1:3).EQ.'LF1') THEN                                HELPSC   1461
         WRITE(LOUT,5000) LF1                                           HELPSC   1462
      ELSE IF (COMMH(1:3).EQ.'LF2') THEN                                HELPSC   1463
         WRITE(LOUT,5000) LF2                                           HELPSC   1464
      ELSE IF (COMMH(1:3).EQ.'LF3') THEN                                HELPSC   1465
         WRITE(LOUT,5000) LF3                                           HELPSC   1466
      ELSE IF (COMMH(1:3).EQ.'LOA') THEN                                HELPSC   1467
         WRITE(LOUT,5000) LOA                                           HELPSC   1468
      ELSE IF (COMMH(1:3).EQ.'LSW') THEN                                HELPSC   1469
         WRITE(LOUT,5000) LSW                                           HELPSC   1470
      ELSE IF (COMMH(1:3).EQ.'LS1') THEN                                HELPSC   1471
         WRITE(LOUT,5000) LS1                                           HELPSC   1472
      ELSE IF (COMMH(1:3).EQ.'MDY') THEN                                HELPSC   1473
         WRITE(LOUT,5000) MDY                                           HELPSC   1474
      ELSE IF (COMMH(1:3).EQ.'MEN') THEN                                HELPSC   1475
         WRITE(LOUT,5000) MEN                                           HELPSC   1476
      ELSE IF (COMMH(1:3).EQ.'MSW') THEN                                HELPSC   1477
         WRITE(LOUT,5000) MSW                                           HELPSC   1478
      ELSE IF (COMMH(1:3).EQ.'MS1') THEN                                HELPSC   1479
         WRITE(LOUT,5000) MS1                                           HELPSC   1480
      ELSE IF (COMMH(1:3).EQ.'MS2') THEN                                HELPSC   1481
         WRITE(LOUT,5000) MS2                                           HELPSC   1482
      ELSE IF (COMMH(1:3).EQ.'MS3') THEN                                HELPSC   1483
         WRITE(LOUT,5000) MS3                                           HELPSC   1484
      ELSE IF (COMMH(1:3).EQ.'MS4') THEN                                HELPSC   1485
         WRITE(LOUT,5000) MS4                                           HELPSC   1486
      ELSE IF (COMMH(1:3).EQ.'MS5') THEN                                HELPSC   1487
         WRITE(LOUT,5000) MS5                                           HELPSC   1488
      ELSE IF (COMMH(1:3).EQ.'PLA') THEN                                HELPSC   1489
         WRITE(LOUT,5000) PLA                                           HELPSC   1490
      ELSE IF (COMMH(1:3).EQ.'QUI') THEN                                HELPSC   1491
         WRITE(LOUT,5000) QUI                                           HELPSC   1492
      ELSE IF (COMMH(1:3).EQ.'REC') THEN                                HELPSC   1493
         WRITE(LOUT,5000) REC                                           HELPSC   1494
      ELSE IF (COMMH(1:3).EQ.'REL') THEN                                HELPSC   1495
         WRITE(LOUT,5000) REL                                           HELPSC   1496
      ELSE IF (COMMH(1:3).EQ.'RRE') THEN                                HELPSC   1497
         WRITE(LOUT,5000) RRE                                           HELPSC   1498
      ELSE IF (COMMH(1:3).EQ.'RR1') THEN                                HELPSC   1499
         WRITE(LOUT,5000) RR1                                           HELPSC   1500
      ELSE IF (COMMH(1:3).EQ.'RR2') THEN                                HELPSC   1501
         WRITE(LOUT,5000) RR2                                           HELPSC   1502
      ELSE IF (COMMH(1:3).EQ.'RR3') THEN                                HELPSC   1503
         WRITE(LOUT,5000) RR3                                           HELPSC   1504
      ELSE IF (COMMH(1:3).EQ.'RR4') THEN                                HELPSC   1505
         WRITE(LOUT,5000) RR4                                           HELPSC   1506
      ELSE IF (COMMH(1:3).EQ.'RR5') THEN                                HELPSC   1507
         WRITE(LOUT,5000) RR5                                           HELPSC   1508
      ELSE IF (COMMH(1:3).EQ.'RR6') THEN                                HELPSC   1509
         WRITE(LOUT,5000) RR6                                           HELPSC   1510
      ELSE IF (COMMH(1:3).EQ.'RR7') THEN                                HELPSC   1511
         WRITE(LOUT,5000) RR7                                           HELPSC   1512
      ELSE IF (COMMH(1:3).EQ.'RR8') THEN                                HELPSC   1513
         WRITE(LOUT,5000) RR8                                           HELPSC   1514
      ELSE IF (COMMH(1:3).EQ.'RR9') THEN                                HELPSC   1515
         WRITE(LOUT,5000) RR9                                           HELPSC   1516
      ELSE IF (COMMH(1:3).EQ.'R10') THEN                                HELPSC   1517
         WRITE(LOUT,5000) R10                                           HELPSC   1518
      ELSE IF (COMMH(1:3).EQ.'R11') THEN                                HELPSC   1519
         WRITE(LOUT,5000) R11                                           HELPSC   1520
      ELSE IF (COMMH(1:3).EQ.'R12') THEN                                HELPSC   1521
         WRITE(LOUT,5000) R12                                           HELPSC   1522
      ELSE IF (COMMH(1:3).EQ.'R13') THEN                                HELPSC   1523
         WRITE(LOUT,5000) R13                                           HELPSC   1524
      ELSE IF (COMMH(1:3).EQ.'R14') THEN                                HELPSC   1525
         WRITE(LOUT,5000) R14                                           HELPSC   1526
      ELSE IF (COMMH(1:3).EQ.'SE1') THEN                                HELPSC   1527
         WRITE(LOUT,5000) SE1                                           HELPSC   1528
      ELSE IF (COMMH(1:3).EQ.'SE2') THEN                                HELPSC   1529
         WRITE(LOUT,5000) SE2                                           HELPSC   1530
      ELSE IF (COMMH(1:3).EQ.'SE3') THEN                                HELPSC   1531
         WRITE(LOUT,5000) SE3                                           HELPSC   1532
      ELSE IF (COMMH(1:3).EQ.'SE4') THEN                                HELPSC   1533
         WRITE(LOUT,5000) SE4                                           HELPSC   1534
      ELSE IF (COMMH(1:3).EQ.'SE5') THEN                                HELPSC   1535
         WRITE(LOUT,5000) SE5                                           HELPSC   1536
      ELSE IF (COMMH(1:3).EQ.'SE6') THEN                                HELPSC   1537
         WRITE(LOUT,5000) SE6                                           HELPSC   1538
      ELSE IF (COMMH(1:3).EQ.'SE7') THEN                                HELPSC   1539
         WRITE(LOUT,5000) SE7                                           HELPSC   1540
      ELSE IF (COMMH(1:3).EQ.'SE8') THEN                                HELPSC   1541
         WRITE(LOUT,5000) SE8                                           HELPSC   1542
      ELSE IF (COMMH(1:3).EQ.'SE9') THEN                                HELPSC   1543
         WRITE(LOUT,5000) SE9                                           HELPSC   1544
      ELSE IF (COMMH(1:3).EQ.'SET') THEN                                HELPSC   1545
         WRITE(LOUT,5000) SET                                           HELPSC   1546
      ELSE IF (COMMH(1:3).EQ.'SIM') THEN                                HELPSC   1547
         WRITE(LOUT,5000) SIM                                           HELPSC   1548
      ELSE IF (COMMH(1:3).EQ.'STO') THEN                                HELPSC   1549
         WRITE(LOUT,5000) STO                                           HELPSC   1550
      ELSE IF (COMMH(1:3).EQ.'SWI') THEN                                HELPSC   1551
         WRITE(LOUT,5000) SWI                                           HELPSC   1552
      ELSE IF (COMMH(1:3).EQ.'SW1') THEN                                HELPSC   1553
         WRITE(LOUT,5000) SW1                                           HELPSC   1554
      ELSE IF (COMMH(1:3).EQ.'SW2') THEN                                HELPSC   1555
         WRITE(LOUT,5000) SW2                                           HELPSC   1556
      ELSE IF (COMMH(1:3).EQ.'SW3') THEN                                HELPSC   1557
         WRITE(LOUT,5000) SW3                                           HELPSC   1558
      ELSE IF (COMMH(1:3).EQ.'SW4') THEN                                HELPSC   1559
         WRITE(LOUT,5000) SW4                                           HELPSC   1560
      ELSE IF (COMMH(1:3).EQ.'TAD') THEN                                HELPSC   1561
         WRITE(LOUT,5000) TAD                                           HELPSC   1562
      ELSE IF (COMMH(1:3).EQ.'TAI') THEN                                HELPSC   1563
         WRITE(LOUT,5000) TAI                                           HELPSC   1564
      ELSE IF (COMMH(1:3).EQ.'TB1') THEN                                HELPSC   1565
         WRITE(LOUT,5000) TB1                                           HELPSC   1566
      ELSE IF (COMMH(1:3).EQ.'TIN') THEN                                HELPSC   1567
         WRITE(LOUT,5000) TIN                                           HELPSC   1568
      ELSE IF (COMMH(1:3).EQ.'TN1') THEN                                HELPSC   1569
         WRITE(LOUT,5000) TN1                                           HELPSC   1570
      ELSE IF (COMMH(1:3).EQ.'VMS') THEN                                HELPSC   1571
         WRITE(LOUT,5000) VMS                                           HELPSC   1572
      ELSE IF (COMMH(1:3).EQ.'WDY') THEN                                HELPSC   1573
         WRITE(LOUT,5000) WDY                                           HELPSC   1574
      ELSE IF (COMMH(1:3).EQ.'CMD') THEN                                HELPSC   1575
         WRITE(LOUT,5010) KEYW                                          HELPSC   1576
      ELSE IF (COMMH(1:3).EQ.'DEB') THEN                                HELPSC   1577
C                                                                       HELPSC   1578
         IF (.NOT.LUD6) THEN                                            HELPSC   1579
C                                                                       HELPSC   1580
            MSG='ENTER FILE NAME FOR DEBUG PRINTING:'                   HELPSC   1581
            EMSG=' ERROR IN OPENING DEBUG PRINTING FILE'                HELPSC   1582
            IKEY=6                                                      HELPSC   1583
            JLENG=0                                                     HELPSC   1584
            LMSG=35                                                     HELPSC   1585
            LEMSG=37                                                    HELPSC   1586
C                                                                       HELPSC   1587
            CALL FILEMG(IUD6,LMSG,MSG,LEMSG,EMSG,SUBPMT,IKEY,JLENG,IEBK)HELPSC   1588
            IF (IEBK.NE.0) RETURN                                       HELPSC   1589
            LUD6=.TRUE.                                                 HELPSC   1590
            MSG='DEBUG PRINTING: CASE #'                                HELPSC   1591
            WRITE(MSG(22:24),'(I3)') ICASE                              HELPSC   1592
            CALL PHEAD(IUD6,24,MSG)                                     HELPSC   1593
C                                                                       HELPSC   1594
         END IF                                                         HELPSC   1595
C                                                                       HELPSC   1596
 800     CONTINUE                                                       HELPSC   1597
         WRITE(LOUT,'(A)') '  ENTER DEBUG NUMBER:'                      HELPSC   1598
         READ(LIN,'(A)') MSG                                            HELPSC   1599
         READ(MSG,*,IOSTAT=IOS) IDBB                                    HELPSC   1600
         IF (IOS.NE.0.OR.IDBB.LE.0) GOTO 800                            HELPSC   1601
         IF (RECORD) WRITE(IREC,'(A)') MSG                              HELPSC   1602
         IF (IDBB.LT.800) THEN                                          HELPSC   1603
            JDEB(IDBB)=1                                                HELPSC   1604
            GOTO 800                                                    HELPSC   1605
         END IF                                                         HELPSC   1606
C                                                                       HELPSC   1607
      ELSE IF (COMMH(1:3).EQ.'XXX') THEN                                HELPSC   1608
         WRITE(LOUT,5000) XXX                                           HELPSC   1609
      ELSE                                                              HELPSC   1610
C                                                                       HELPSC   1611
         WRITE(LOUT,5000) MS1                                           HELPSC   1612
         QQ1=QQ(LIN,LOUT)                                               HELPSC   1613
         IF (QQ1.EQ.'Q'.OR.QQ1.EQ.'q') GOTO 3000                        HELPSC   1614
         WRITE(LOUT,5000) MS2                                           HELPSC   1615
         QQ1=QQ(LIN,LOUT)                                               HELPSC   1616
         IF (QQ1.EQ.'Q'.OR.QQ1.EQ.'q') GOTO 3000                        HELPSC   1617
         WRITE(LOUT,5000) MS3                                           HELPSC   1618
         QQ1=QQ(LIN,LOUT)                                               HELPSC   1619
         IF (QQ1.EQ.'Q'.OR.QQ1.EQ.'q') GOTO 3000                        HELPSC   1620
         WRITE(LOUT,5000) MS4                                           HELPSC   1621
         QQ1=QQ(LIN,LOUT)                                               HELPSC   1622
         IF (QQ1.EQ.'Q'.OR.QQ1.EQ.'q') GOTO 3000                        HELPSC   1623
         WRITE(LOUT,5000) MS5                                           HELPSC   1624
C                                                                       HELPSC   1625
      END IF                                                            HELPSC   1626
C                                                                       HELPSC   1627
      RETURN                                                            HELPSC   1628
C                                                                       HELPSC   1629
 3000 CONTINUE                                                          HELPSC   1630
      RETURN                                                            HELPSC   1631
 5000 FORMAT(A)                                                         HELPSC   1632
 5010 FORMAT(/,' LIST OF VALID KEYWORDS : ',/,5(1X,A12))                HELPSC   1633
      END                                                               HELPSC   1634
